# {{classname}}

All URIs are relative to *https://statsapi.mlb.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**AwardRecipients**](AwardsApi.md#AwardRecipients) | **Get** /api/v1/awards/{awardId}/recipients | View recipients of an award
[**Awards**](AwardsApi.md#Awards) | **Get** /api/v1/awards | View awards info
[**Awards1**](AwardsApi.md#Awards1) | **Get** /api/v1/awards/{awardId} | View awards info

# **AwardRecipients**
> AwardsRestObject AwardRecipients(ctx, awardId, optional)
View recipients of an award

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **awardId** | **string**| Unique Award Identifier. Available awards in /api/v1/awards | 
 **optional** | ***AwardsApiAwardRecipientsOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a AwardsApiAwardRecipientsOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------

 **season** | **optional.String**| Season of play | 
 **sportId** | **optional.Int32**| Top level organization of a sport | 
 **leagueId** | [**optional.Interface of []int32**](int32.md)| Comma delimited list of Unique league identifiers | 
 **fields** | [**optional.Interface of []string**](string.md)|  | 

### Return type

[**AwardsRestObject**](AwardsRestObject.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **Awards**
> AwardsRestObject Awards(ctx, awardId, optional)
View awards info

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **awardId** | **string**| Unique Award Identifier. Available awards in /api/v1/awards | 
 **optional** | ***AwardsApiAwardsOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a AwardsApiAwardsOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------

 **orgId** | [**optional.Interface of []int32**](int32.md)| Comma delimited list of top level organizations of a sport | 
 **fields** | [**optional.Interface of []string**](string.md)| Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

[**AwardsRestObject**](AwardsRestObject.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **Awards1**
> AwardsRestObject Awards1(ctx, awardId, optional)
View awards info

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **awardId** | **string**| Unique Award Identifier. Available awards in /api/v1/awards | 
 **optional** | ***AwardsApiAwards1Opts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a AwardsApiAwards1Opts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------

 **orgId** | [**optional.Interface of []int32**](int32.md)| Comma delimited list of top level organizations of a sport | 
 **fields** | [**optional.Interface of []string**](string.md)| Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

[**AwardsRestObject**](AwardsRestObject.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

