# {{classname}}

All URIs are relative to *https://statsapi.mlb.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**GetAllBroadcasters**](BroadcastApi.md#GetAllBroadcasters) | **Get** /api/v1/broadcasters | Get All Active Broadcasters
[**GetBroadcasts**](BroadcastApi.md#GetBroadcasts) | **Get** /api/v1/broadcast | Get Broadcasters

# **GetAllBroadcasters**
> []BroadcasterRestObject GetAllBroadcasters(ctx, optional)
Get All Active Broadcasters

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
 **optional** | ***BroadcastApiGetAllBroadcastersOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a BroadcastApiGetAllBroadcastersOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **activeStatus** | [**optional.Interface of BroadcasterActiveStatusEnum**](.md)| Current status of the broadcaster. Format: Active &#x3D; y, inactive &#x3D; n, both &#x3D; b | 
 **fields** | [**optional.Interface of []string**](string.md)| Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

[**[]BroadcasterRestObject**](BroadcasterRestObject.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **GetBroadcasts**
> []BroadcasterRestObject GetBroadcasts(ctx, broadcasterIds, optional)
Get Broadcasters

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **broadcasterIds** | [**[]int32**](int32.md)| All of the broadcast details | 
 **optional** | ***BroadcastApiGetBroadcastsOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a BroadcastApiGetBroadcastsOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------

 **fields** | [**optional.Interface of []string**](string.md)| Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

[**[]BroadcasterRestObject**](BroadcasterRestObject.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

