# {{classname}}

All URIs are relative to *https://statsapi.mlb.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**GamePace**](GamePaceApi.md#GamePace) | **Get** /api/v1/gamePace | View time of game info

# **GamePace**
> GamePaceWrapperRestObject GamePace(ctx, optional)
View time of game info

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
 **optional** | ***GamePaceApiGamePaceOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a GamePaceApiGamePaceOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **season** | **optional.String**| Season of play | 
 **teamId** | **optional.Int32**| Unique Team Identifier. Format: 141, 147, etc | 
 **teamIds** | [**optional.Interface of []int32**](int32.md)| Comma delimited list of Unique Team identifiers | 
 **leagueId** | **optional.Int32**| Unique League Identifier | 
 **leagueIds** | [**optional.Interface of []int32**](int32.md)| Comma delimited list of Unique league identifiers | 
 **leagueListId** | [**optional.Interface of LeagueListsEnum**](.md)| Unique League List Identifier | 
 **sportId** | **optional.Int32**| Top level organization of a sport | 
 **sportIds** | [**optional.Interface of []int32**](int32.md)| Comma delimited list of top level organizations of a sport | 
 **gameType** | [**optional.Interface of GameTypeEnum**](.md)| Type of Game. Available types in /api/v1/gameTypes | 
 **startDate** | **optional.String**| Start date for range of data (must be used with end date). Format: MM/DD/YYYY | 
 **endDate** | **optional.String**| End date for range of data (must be used with start date). Format: MM/DD/YYYY | 
 **venueIds** | [**optional.Interface of []int32**](int32.md)| Comma delimited list of Unique venue identifiers | 
 **excludeVenueIds** | [**optional.Interface of []int32**](int32.md)| Comma delimited list of Unique venue identifiers | 
 **excludeGamePks** | [**optional.Interface of []int32**](int32.md)| Comma delimited list of unique primary keys | 
 **orgType** | [**optional.Interface of OrganizationType**](.md)| Organization level. Format: T(Team), L(League), S(Sport) | 
 **includeChildren** | **optional.Bool**| Determines weather to include results from an organization&#x27;s children (ex. a sport would also include results for the teams and leagues) | [default to false]
 **fields** | [**optional.Interface of []string**](string.md)| Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

[**GamePaceWrapperRestObject**](GamePaceWrapperRestObject.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

