# {{classname}}

All URIs are relative to *https://statsapi.mlb.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**HighLow**](HighLowApi.md#HighLow) | **Get** /api/v1/highLow/{highLowType} | View high/low stats by player or team
[**HighLowStats**](HighLowApi.md#HighLowStats) | **Get** /api/v1/highLow/types | View high/low stat types

# **HighLow**
> HighLowWrapperRestObject HighLow(ctx, highLowType, optional)
View high/low stats by player or team

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **highLowType** | [**HighLowTypeEnum**](.md)| Type of high/low stats (&#x27;player&#x27;, &#x27;team&#x27;, &#x27;game&#x27;) | 
 **optional** | ***HighLowApiHighLowOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a HighLowApiHighLowOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------

 **statGroup** | [**optional.Interface of []StatGroup**](StatGroup.md)| Comma delimited list of  categories of statistic to return. Available types in /api/v1/statGroups | 
 **sortStat** | [**optional.Interface of []HighLowStatEnum**](HighLowStatEnum.md)| Comma delimited list of baseball stats to sort splits by. | 
 **season** | [**optional.Interface of []string**](string.md)| Comma delimited list of Seasons of play | 
 **gameType** | [**optional.Interface of []GameTypeEnum**](GameTypeEnum.md)| Comma delimited list of type of Game. Available types in /api/v1/gameTypes | 
 **teamId** | **optional.Int32**| Unique Team Identifier. Format: 141, 147, etc | 
 **leagueId** | **optional.Int32**| Unique League Identifier | 
 **sportId** | **optional.Int32**| Top level organization of a sport | 
 **offset** | **optional.Int32**| The pointer to start for a return set; used for pagination | 
 **limit** | **optional.Int32**| Number of results to return | 
 **fields** | [**optional.Interface of []string**](string.md)| Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

[**HighLowWrapperRestObject**](HighLowWrapperRestObject.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **HighLowStats**
> []BaseballStatsTypeRestObject HighLowStats(ctx, )
View high/low stat types

### Required Parameters
This endpoint does not need any parameter.

### Return type

[**[]BaseballStatsTypeRestObject**](BaseballStatsTypeRestObject.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

