# {{classname}}

All URIs are relative to *https://statsapi.mlb.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**HomeRunDerbyBracket**](HomerunDerbyApi.md#HomeRunDerbyBracket) | **Get** /api/v1/homeRunDerby/{gamePk} | View a home run derby object
[**HomeRunDerbyBracket1**](HomerunDerbyApi.md#HomeRunDerbyBracket1) | **Get** /api/v1/homeRunDerby | View a home run derby object
[**HomeRunDerbyBracket2**](HomerunDerbyApi.md#HomeRunDerbyBracket2) | **Get** /api/v1/homeRunDerby/{gamePk}/bracket | View a home run derby object
[**HomeRunDerbyBracket3**](HomerunDerbyApi.md#HomeRunDerbyBracket3) | **Get** /api/v1/homeRunDerby/bracket | View a home run derby object
[**HomeRunDerbyMixedMode**](HomerunDerbyApi.md#HomeRunDerbyMixedMode) | **Get** /api/v1/homeRunDerby/{gamePk}/mixed | View home run derby mixed mode (Bracket/Pool combo)
[**HomeRunDerbyMixedMode1**](HomerunDerbyApi.md#HomeRunDerbyMixedMode1) | **Get** /api/v1/homeRunDerby/mixed | View home run derby mixed mode (Bracket/Pool combo)
[**HomeRunDerbyPool**](HomerunDerbyApi.md#HomeRunDerbyPool) | **Get** /api/v1/homeRunDerby/{gamePk}/pool | View home run derby pool
[**HomeRunDerbyPool1**](HomerunDerbyApi.md#HomeRunDerbyPool1) | **Get** /api/v1/homeRunDerby/pool | View home run derby pool

# **HomeRunDerbyBracket**
> HomeRunDerbyRestObject HomeRunDerbyBracket(ctx, gamePk, optional)
View a home run derby object

This endpoint allows you to pull home run derby information

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **gamePk** | **int32**| Unique Primary Key Representing a Game | 
 **optional** | ***HomerunDerbyApiHomeRunDerbyBracketOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a HomerunDerbyApiHomeRunDerbyBracketOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------

 **fields** | [**optional.Interface of []string**](string.md)| Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

[**HomeRunDerbyRestObject**](HomeRunDerbyRestObject.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **HomeRunDerbyBracket1**
> HomeRunDerbyRestObject HomeRunDerbyBracket1(ctx, gamePk, optional)
View a home run derby object

This endpoint allows you to pull home run derby information

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **gamePk** | **int32**| Unique Primary Key Representing a Game | 
 **optional** | ***HomerunDerbyApiHomeRunDerbyBracket1Opts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a HomerunDerbyApiHomeRunDerbyBracket1Opts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------

 **fields** | [**optional.Interface of []string**](string.md)| Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

[**HomeRunDerbyRestObject**](HomeRunDerbyRestObject.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **HomeRunDerbyBracket2**
> HomeRunDerbyRestObject HomeRunDerbyBracket2(ctx, gamePk, optional)
View a home run derby object

This endpoint allows you to pull home run derby information

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **gamePk** | **int32**| Unique Primary Key Representing a Game | 
 **optional** | ***HomerunDerbyApiHomeRunDerbyBracket2Opts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a HomerunDerbyApiHomeRunDerbyBracket2Opts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------

 **fields** | [**optional.Interface of []string**](string.md)| Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

[**HomeRunDerbyRestObject**](HomeRunDerbyRestObject.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **HomeRunDerbyBracket3**
> HomeRunDerbyRestObject HomeRunDerbyBracket3(ctx, gamePk, optional)
View a home run derby object

This endpoint allows you to pull home run derby information

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **gamePk** | **int32**| Unique Primary Key Representing a Game | 
 **optional** | ***HomerunDerbyApiHomeRunDerbyBracket3Opts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a HomerunDerbyApiHomeRunDerbyBracket3Opts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------

 **fields** | [**optional.Interface of []string**](string.md)| Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

[**HomeRunDerbyRestObject**](HomeRunDerbyRestObject.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **HomeRunDerbyMixedMode**
> HomeRunDerbyRestObject HomeRunDerbyMixedMode(ctx, gamePk, optional)
View home run derby mixed mode (Bracket/Pool combo)

This endpoint allows you to pull home run derby information

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **gamePk** | **int32**| Unique Primary Key Representing a Game | 
 **optional** | ***HomerunDerbyApiHomeRunDerbyMixedModeOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a HomerunDerbyApiHomeRunDerbyMixedModeOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------

 **fields** | [**optional.Interface of []string**](string.md)| Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

[**HomeRunDerbyRestObject**](HomeRunDerbyRestObject.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **HomeRunDerbyMixedMode1**
> HomeRunDerbyRestObject HomeRunDerbyMixedMode1(ctx, gamePk, optional)
View home run derby mixed mode (Bracket/Pool combo)

This endpoint allows you to pull home run derby information

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **gamePk** | **int32**| Unique Primary Key Representing a Game | 
 **optional** | ***HomerunDerbyApiHomeRunDerbyMixedMode1Opts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a HomerunDerbyApiHomeRunDerbyMixedMode1Opts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------

 **fields** | [**optional.Interface of []string**](string.md)| Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

[**HomeRunDerbyRestObject**](HomeRunDerbyRestObject.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **HomeRunDerbyPool**
> HomeRunDerbyRestObject HomeRunDerbyPool(ctx, gamePk, optional)
View home run derby pool

This endpoint allows you to pull home run derby information

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **gamePk** | **int32**| Unique Primary Key Representing a Game | 
 **optional** | ***HomerunDerbyApiHomeRunDerbyPoolOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a HomerunDerbyApiHomeRunDerbyPoolOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------

 **fields** | [**optional.Interface of []string**](string.md)| Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

[**HomeRunDerbyRestObject**](HomeRunDerbyRestObject.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **HomeRunDerbyPool1**
> HomeRunDerbyRestObject HomeRunDerbyPool1(ctx, gamePk, optional)
View home run derby pool

This endpoint allows you to pull home run derby information

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **gamePk** | **int32**| Unique Primary Key Representing a Game | 
 **optional** | ***HomerunDerbyApiHomeRunDerbyPool1Opts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a HomerunDerbyApiHomeRunDerbyPool1Opts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------

 **fields** | [**optional.Interface of []string**](string.md)| Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

[**HomeRunDerbyRestObject**](HomeRunDerbyRestObject.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

