# {{classname}}

All URIs are relative to *https://statsapi.mlb.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**Datacasters**](JobApi.md#Datacasters) | **Get** /api/v1/jobs/datacasters | Get datacaster jobs
[**GetJobsByType**](JobApi.md#GetJobsByType) | **Get** /api/v1/jobs | Get jobs by type
[**OfficialScorers**](JobApi.md#OfficialScorers) | **Get** /api/v1/jobs/officialScorers | Get official scorers
[**UmpireSchedule**](JobApi.md#UmpireSchedule) | **Get** /api/v1/jobs/umpires/games/{umpireId} | Get umpires and associated game for umpireId
[**Umpires**](JobApi.md#Umpires) | **Get** /api/v1/jobs/umpires | Get umpires

# **Datacasters**
> RosterRestObject Datacasters(ctx, optional)
Get datacaster jobs

Get datacaster jobs

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
 **optional** | ***JobApiDatacastersOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a JobApiDatacastersOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **sportId** | **optional.Int32**| Top level organization of a sport | 
 **date** | **optional.String**| Date of Game. Format: YYYY-MM-DD | 
 **fields** | [**optional.Interface of []string**](string.md)| Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

[**RosterRestObject**](RosterRestObject.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **GetJobsByType**
> RosterRestObject GetJobsByType(ctx, jobType, optional)
Get jobs by type

This endpoint allows you to pull teams

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **jobType** | **string**| Job Type Identifier (ie. UMPR, etc..) | 
 **optional** | ***JobApiGetJobsByTypeOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a JobApiGetJobsByTypeOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------

 **sportId** | **optional.Int32**| Top level organization of a sport | 
 **date** | **optional.String**| Date of Game. Format: YYYY-MM-DD | 
 **fields** | [**optional.Interface of []string**](string.md)| Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

[**RosterRestObject**](RosterRestObject.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **OfficialScorers**
> RosterRestObject OfficialScorers(ctx, optional)
Get official scorers

This endpoint allows you to pull teams

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
 **optional** | ***JobApiOfficialScorersOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a JobApiOfficialScorersOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **sportId** | **optional.Int32**| Top level organization of a sport | 
 **date** | **optional.String**| Date of Game. Format: YYYY-MM-DD | 
 **fields** | [**optional.Interface of []string**](string.md)| Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

[**RosterRestObject**](RosterRestObject.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **UmpireSchedule**
> ScheduleRestObject UmpireSchedule(ctx, umpireId, season, optional)
Get umpires and associated game for umpireId

This endpoint allows you to pull teams

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **umpireId** | **int32**| A unique identifier for an umpire | 
  **season** | **string**| Season of play | 
 **optional** | ***JobApiUmpireScheduleOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a JobApiUmpireScheduleOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------


 **fields** | [**optional.Interface of []string**](string.md)| Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

[**ScheduleRestObject**](ScheduleRestObject.md)

### Authorization

[basicAuth](../README.md#basicAuth), [bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **Umpires**
> RosterRestObject Umpires(ctx, optional)
Get umpires

This endpoint allows you to pull teams

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
 **optional** | ***JobApiUmpiresOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a JobApiUmpiresOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **sportId** | **optional.Int32**| Top level organization of a sport | 
 **date** | **optional.String**| Date of Game. Format: YYYY-MM-DD | 
 **fields** | [**optional.Interface of []string**](string.md)| Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 
 **season** | **optional.String**| Season of play | 

### Return type

[**RosterRestObject**](RosterRestObject.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

