# {{classname}}

All URIs are relative to *https://statsapi.mlb.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**AggregateSortEnum**](MiscApi.md#AggregateSortEnum) | **Get** /api/v1/sortModifiers | List all stat fields
[**BaseballStats**](MiscApi.md#BaseballStats) | **Get** /api/v1/baseballStats | List all baseball stats
[**BroadcastAvailabilityTypes**](MiscApi.md#BroadcastAvailabilityTypes) | **Get** /api/v1/broadcastAvailability | View broadcast availability options
[**CoachingVideoTypes**](MiscApi.md#CoachingVideoTypes) | **Get** /api/v1/coachingVideoTypes | List all coaching video types
[**EventStatus**](MiscApi.md#EventStatus) | **Get** /api/v1/eventStatus | List all possible event status types
[**EventTypes**](MiscApi.md#EventTypes) | **Get** /api/v1/eventTypes | List all event types
[**FielderDetailTypes**](MiscApi.md#FielderDetailTypes) | **Get** /api/v1/fielderDetailTypes | List fielder detail types
[**FreeGameTypes**](MiscApi.md#FreeGameTypes) | **Get** /api/v1/freeGameTypes | View free game types
[**GameStatus**](MiscApi.md#GameStatus) | **Get** /api/v1/gameStatus | List all status types
[**GameTypes**](MiscApi.md#GameTypes) | **Get** /api/v1/gameTypes | List all game types
[**GamedayTypes**](MiscApi.md#GamedayTypes) | **Get** /api/v1/gamedayTypes | List all gameday types
[**GetLookupValues**](MiscApi.md#GetLookupValues) | **Get** /api/v1/lookup/values/all | View all lookup values
[**GroupByTypes**](MiscApi.md#GroupByTypes) | **Get** /api/v1/groupByTypes | List groupBy types
[**HitTrajectories**](MiscApi.md#HitTrajectories) | **Get** /api/v1/hitTrajectories | List all hit trajectories
[**JobTypes**](MiscApi.md#JobTypes) | **Get** /api/v1/jobTypes | List all job types
[**Languages**](MiscApi.md#Languages) | **Get** /api/v1/languages | List all support languages
[**LeagueLeaderTypes**](MiscApi.md#LeagueLeaderTypes) | **Get** /api/v1/leagueLeaderTypes | List all possible player league leader types
[**LogicalEvents**](MiscApi.md#LogicalEvents) | **Get** /api/v1/logicalEvents | List all logical event types
[**MediaStateTypes**](MiscApi.md#MediaStateTypes) | **Get** /api/v1/mediaState | View media state options
[**Metrics**](MiscApi.md#Metrics) | **Get** /api/v1/metrics | List all possible metrics
[**MoundVisitTypes**](MiscApi.md#MoundVisitTypes) | **Get** /api/v1/moundVisitTypes | List all mound visit types
[**PerformerTypes**](MiscApi.md#PerformerTypes) | **Get** /api/v1/performerTypes | List all possible performer types
[**PitchCodes**](MiscApi.md#PitchCodes) | **Get** /api/v1/pitchCodes | List all pitch codes
[**PitchTypes**](MiscApi.md#PitchTypes) | **Get** /api/v1/pitchTypes | List all pitch classification types
[**Platforms**](MiscApi.md#Platforms) | **Get** /api/v1/platforms | List all possible platforms
[**PlayerStatusCodes**](MiscApi.md#PlayerStatusCodes) | **Get** /api/v1/playerStatusCodes | List all player status codes
[**Positions**](MiscApi.md#Positions) | **Get** /api/v1/positions | List all possible positions
[**ReviewReasons**](MiscApi.md#ReviewReasons) | **Get** /api/v1/reviewReasons | List all replay review reasons
[**RoofTypes**](MiscApi.md#RoofTypes) | **Get** /api/v1/roofTypes | List all roof types
[**RosterTypes**](MiscApi.md#RosterTypes) | **Get** /api/v1/rosterTypes | List all possible roster types
[**RuleSettings**](MiscApi.md#RuleSettings) | **Get** /api/v1/ruleSettings | List all ruleSettings
[**RunnerDetailTypes**](MiscApi.md#RunnerDetailTypes) | **Get** /api/v1/runnerDetailTypes | List runner detail types
[**ScheduleEventTypes**](MiscApi.md#ScheduleEventTypes) | **Get** /api/v1/scheduleEventTypes | List all schedule event types
[**ScheduleTypes**](MiscApi.md#ScheduleTypes) | **Get** /api/v1/scheduleTypes | List all possible schedule types
[**SitCodes**](MiscApi.md#SitCodes) | **Get** /api/v1/situationCodes | List all situation codes
[**Sky**](MiscApi.md#Sky) | **Get** /api/v1/sky | List all sky options
[**StandingsTypes**](MiscApi.md#StandingsTypes) | **Get** /api/v1/standingsTypes | List all standings types
[**StatFields**](MiscApi.md#StatFields) | **Get** /api/v1/statFields | List all stat fields
[**StatGroups**](MiscApi.md#StatGroups) | **Get** /api/v1/statGroups | List all stat groups
[**StatSearchConfig**](MiscApi.md#StatSearchConfig) | **Get** /api/v1/stats/search/config | Stats Search Config Endpoint
[**StatSearchGroupByTypes**](MiscApi.md#StatSearchGroupByTypes) | **Get** /api/v1/stats/search/groupByTypes | List groupBy types
[**StatSearchParams**](MiscApi.md#StatSearchParams) | **Get** /api/v1/stats/search/params | List stat search parameters
[**StatSearchStats**](MiscApi.md#StatSearchStats) | **Get** /api/v1/stats/search/stats | List stat search stats
[**StatTypes**](MiscApi.md#StatTypes) | **Get** /api/v1/statTypes | List all stat types
[**StatcastPositionTypes**](MiscApi.md#StatcastPositionTypes) | **Get** /api/v1/statcastPositionTypes | List all statcast position types
[**TrackingSoftwareVersions**](MiscApi.md#TrackingSoftwareVersions) | **Get** /api/v1/trackingSoftwareVersions | List the tracking software versions and notes
[**TrackingSystemOwners**](MiscApi.md#TrackingSystemOwners) | **Get** /api/v1/trackingSystemOwners | List all tracking system owners
[**TrackingVendors**](MiscApi.md#TrackingVendors) | **Get** /api/v1/trackingVendors | List all tracking vendors
[**TrackingVersions**](MiscApi.md#TrackingVersions) | **Get** /api/v1/trackingVersions | List all tracking versions
[**TransactionTypes**](MiscApi.md#TransactionTypes) | **Get** /api/v1/transactionTypes | List all transaction types
[**UpdateGameStatuses**](MiscApi.md#UpdateGameStatuses) | **Post** /api/v1/gameStatus | Clear all status types
[**UpdateJobTypes**](MiscApi.md#UpdateJobTypes) | **Post** /api/v1/jobTypes | 
[**VideoResolutionTypes**](MiscApi.md#VideoResolutionTypes) | **Get** /api/v1/videoResolutionTypes | View video resolution options
[**ViolationTypes**](MiscApi.md#ViolationTypes) | **Get** /api/v1/violationTypes | View available violationType options
[**WeatherTrajectoryConfidences**](MiscApi.md#WeatherTrajectoryConfidences) | **Get** /api/v1/weatherTrajectoryConfidences | List all weather trajectories
[**WindDirection**](MiscApi.md#WindDirection) | **Get** /api/v1/windDirection | List all wind direction options

# **AggregateSortEnum**
> []AggregateSortTypeRestObject AggregateSortEnum(ctx, )
List all stat fields

### Required Parameters
This endpoint does not need any parameter.

### Return type

[**[]AggregateSortTypeRestObject**](AggregateSortTypeRestObject.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **BaseballStats**
> []BaseballStatsTypeRestObject BaseballStats(ctx, )
List all baseball stats

### Required Parameters
This endpoint does not need any parameter.

### Return type

[**[]BaseballStatsTypeRestObject**](BaseballStatsTypeRestObject.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **BroadcastAvailabilityTypes**
> []BroadcastAvailabilityRestObject BroadcastAvailabilityTypes(ctx, )
View broadcast availability options

### Required Parameters
This endpoint does not need any parameter.

### Return type

[**[]BroadcastAvailabilityRestObject**](BroadcastAvailabilityRestObject.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **CoachingVideoTypes**
> []string CoachingVideoTypes(ctx, )
List all coaching video types

### Required Parameters
This endpoint does not need any parameter.

### Return type

**[]string**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **EventStatus**
> []IGameStatus EventStatus(ctx, )
List all possible event status types

### Required Parameters
This endpoint does not need any parameter.

### Return type

[**[]IGameStatus**](IGameStatus.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **EventTypes**
> string EventTypes(ctx, optional)
List all event types

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
 **optional** | ***MiscApiEventTypesOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a MiscApiEventTypesOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **fields** | [**optional.Interface of []string**](string.md)| Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

**string**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json;charset=UTF-8

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **FielderDetailTypes**
> []FielderDetailType FielderDetailTypes(ctx, )
List fielder detail types

### Required Parameters
This endpoint does not need any parameter.

### Return type

[**[]FielderDetailType**](FielderDetailType.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **FreeGameTypes**
> []FreeGameTypeRestObject FreeGameTypes(ctx, )
View free game types

### Required Parameters
This endpoint does not need any parameter.

### Return type

[**[]FreeGameTypeRestObject**](FreeGameTypeRestObject.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **GameStatus**
> []RestObject GameStatus(ctx, )
List all status types

### Required Parameters
This endpoint does not need any parameter.

### Return type

[**[]RestObject**](RestObject.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **GameTypes**
> []GameTypeEnum GameTypes(ctx, optional)
List all game types

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
 **optional** | ***MiscApiGameTypesOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a MiscApiGameTypesOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **sportId** | **optional.Int32**| Top level organization of a sport | 
 **leagueId** | **optional.Int32**| Unique League Identifier | 
 **season** | **optional.String**| Season of play | 

### Return type

[**[]GameTypeEnum**](GameTypeEnum.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **GamedayTypes**
> []GeneralLookupRestObject GamedayTypes(ctx, optional)
List all gameday types

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
 **optional** | ***MiscApiGamedayTypesOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a MiscApiGamedayTypesOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **fields** | [**optional.Interface of []string**](string.md)| Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

[**[]GeneralLookupRestObject**](GeneralLookupRestObject.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **GetLookupValues**
> map[string][]interface{} GetLookupValues(ctx, )
View all lookup values

### Required Parameters
This endpoint does not need any parameter.

### Return type

[**map[string][]interface{}**](array.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **GroupByTypes**
> []GroupByEnum GroupByTypes(ctx, )
List groupBy types

### Required Parameters
This endpoint does not need any parameter.

### Return type

[**[]GroupByEnum**](GroupByEnum.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **HitTrajectories**
> []GeneralLookupRestObject HitTrajectories(ctx, optional)
List all hit trajectories

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
 **optional** | ***MiscApiHitTrajectoriesOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a MiscApiHitTrajectoriesOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **fields** | [**optional.Interface of []string**](string.md)| Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

[**[]GeneralLookupRestObject**](GeneralLookupRestObject.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **JobTypes**
> []JobTypeRestObject JobTypes(ctx, optional)
List all job types

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
 **optional** | ***MiscApiJobTypesOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a MiscApiJobTypesOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **fields** | [**optional.Interface of []string**](string.md)| Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

[**[]JobTypeRestObject**](JobTypeRestObject.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **Languages**
> []Language Languages(ctx, )
List all support languages

### Required Parameters
This endpoint does not need any parameter.

### Return type

[**[]Language**](Language.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **LeagueLeaderTypes**
> []LeagueLeaderTypeRestObject LeagueLeaderTypes(ctx, )
List all possible player league leader types

### Required Parameters
This endpoint does not need any parameter.

### Return type

[**[]LeagueLeaderTypeRestObject**](LeagueLeaderTypeRestObject.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **LogicalEvents**
> []GeneralLookupRestObject LogicalEvents(ctx, optional)
List all logical event types

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
 **optional** | ***MiscApiLogicalEventsOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a MiscApiLogicalEventsOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **fields** | [**optional.Interface of []string**](string.md)| Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

[**[]GeneralLookupRestObject**](GeneralLookupRestObject.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **MediaStateTypes**
> []MediaStateRestObject MediaStateTypes(ctx, )
View media state options

### Required Parameters
This endpoint does not need any parameter.

### Return type

[**[]MediaStateRestObject**](MediaStateRestObject.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **Metrics**
> []RestObject Metrics(ctx, )
List all possible metrics

### Required Parameters
This endpoint does not need any parameter.

### Return type

[**[]RestObject**](RestObject.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **MoundVisitTypes**
> []GeneralLookupRestObject MoundVisitTypes(ctx, optional)
List all mound visit types

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
 **optional** | ***MiscApiMoundVisitTypesOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a MiscApiMoundVisitTypesOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **fields** | [**optional.Interface of []string**](string.md)| Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

[**[]GeneralLookupRestObject**](GeneralLookupRestObject.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **PerformerTypes**
> []PerformerType PerformerTypes(ctx, )
List all possible performer types

### Required Parameters
This endpoint does not need any parameter.

### Return type

[**[]PerformerType**](PerformerType.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **PitchCodes**
> []PitchCodeRestObject PitchCodes(ctx, optional)
List all pitch codes

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
 **optional** | ***MiscApiPitchCodesOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a MiscApiPitchCodesOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **fields** | [**optional.Interface of []string**](string.md)| Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

[**[]PitchCodeRestObject**](PitchCodeRestObject.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **PitchTypes**
> []GeneralLookupRestObject PitchTypes(ctx, optional)
List all pitch classification types

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
 **optional** | ***MiscApiPitchTypesOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a MiscApiPitchTypesOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **fields** | [**optional.Interface of []string**](string.md)| Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

[**[]GeneralLookupRestObject**](GeneralLookupRestObject.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **Platforms**
> []Platform Platforms(ctx, )
List all possible platforms

### Required Parameters
This endpoint does not need any parameter.

### Return type

[**[]Platform**](Platform.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **PlayerStatusCodes**
> []GeneralLookupRestObject PlayerStatusCodes(ctx, optional)
List all player status codes

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
 **optional** | ***MiscApiPlayerStatusCodesOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a MiscApiPlayerStatusCodesOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **fields** | [**optional.Interface of []string**](string.md)| Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

[**[]GeneralLookupRestObject**](GeneralLookupRestObject.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **Positions**
> []BaseballPosition Positions(ctx, )
List all possible positions

### Required Parameters
This endpoint does not need any parameter.

### Return type

[**[]BaseballPosition**](BaseballPosition.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **ReviewReasons**
> []GeneralLookupRestObject ReviewReasons(ctx, optional)
List all replay review reasons

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
 **optional** | ***MiscApiReviewReasonsOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a MiscApiReviewReasonsOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **fields** | [**optional.Interface of []string**](string.md)| Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

[**[]GeneralLookupRestObject**](GeneralLookupRestObject.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **RoofTypes**
> []RoofTypeRestObject RoofTypes(ctx, )
List all roof types

### Required Parameters
This endpoint does not need any parameter.

### Return type

[**[]RoofTypeRestObject**](RoofTypeRestObject.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **RosterTypes**
> []RosterType RosterTypes(ctx, )
List all possible roster types

### Required Parameters
This endpoint does not need any parameter.

### Return type

[**[]RosterType**](RosterType.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **RuleSettings**
> []RuleSettingsRestObject RuleSettings(ctx, )
List all ruleSettings

### Required Parameters
This endpoint does not need any parameter.

### Return type

[**[]RuleSettingsRestObject**](RuleSettingsRestObject.md)

### Authorization

[basicAuth](../README.md#basicAuth), [bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **RunnerDetailTypes**
> []RunnerDetailType RunnerDetailTypes(ctx, )
List runner detail types

### Required Parameters
This endpoint does not need any parameter.

### Return type

[**[]RunnerDetailType**](RunnerDetailType.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **ScheduleEventTypes**
> []ScheduleEventTypeRestObject ScheduleEventTypes(ctx, optional)
List all schedule event types

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
 **optional** | ***MiscApiScheduleEventTypesOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a MiscApiScheduleEventTypesOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **fields** | [**optional.Interface of []string**](string.md)| Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

[**[]ScheduleEventTypeRestObject**](ScheduleEventTypeRestObject.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **ScheduleTypes**
> []ScheduleTypeEnum ScheduleTypes(ctx, )
List all possible schedule types

### Required Parameters
This endpoint does not need any parameter.

### Return type

[**[]ScheduleTypeEnum**](ScheduleTypeEnum.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **SitCodes**
> []SituationCodeRestObject SitCodes(ctx, optional)
List all situation codes

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
 **optional** | ***MiscApiSitCodesOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a MiscApiSitCodesOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **fields** | [**optional.Interface of []string**](string.md)| Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 
 **season** | **optional.String**| Season of play | 
 **statGroup** | [**optional.Interface of StatGroup**](.md)| Category of statistic to return. Available types in /api/v1/statGroups | 

### Return type

[**[]SituationCodeRestObject**](SituationCodeRestObject.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **Sky**
> []GeneralLookupRestObject Sky(ctx, optional)
List all sky options

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
 **optional** | ***MiscApiSkyOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a MiscApiSkyOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **fields** | [**optional.Interface of []string**](string.md)| Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

[**[]GeneralLookupRestObject**](GeneralLookupRestObject.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **StandingsTypes**
> []StandingsType StandingsTypes(ctx, )
List all standings types

### Required Parameters
This endpoint does not need any parameter.

### Return type

[**[]StandingsType**](StandingsType.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **StatFields**
> []StatField StatFields(ctx, )
List all stat fields

### Required Parameters
This endpoint does not need any parameter.

### Return type

[**[]StatField**](StatField.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **StatGroups**
> []StatGroup StatGroups(ctx, )
List all stat groups

### Required Parameters
This endpoint does not need any parameter.

### Return type

[**[]StatGroup**](StatGroup.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **StatSearchConfig**
> StatSearchConfigRestObject StatSearchConfig(ctx, optional)
Stats Search Config Endpoint

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
 **optional** | ***MiscApiStatSearchConfigOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a MiscApiStatSearchConfigOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **filterLevel** | [**optional.Interface of FilterLevelEnum**](.md)| Categories of filters for stat search | 
 **group** | [**optional.Interface of StatGroup**](.md)| Category of statistic to return. Available types in /api/v1/statGroups | 

### Return type

[**StatSearchConfigRestObject**](StatSearchConfigRestObject.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **StatSearchGroupByTypes**
> []GroupByEnum StatSearchGroupByTypes(ctx, optional)
List groupBy types

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
 **optional** | ***MiscApiStatSearchGroupByTypesOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a MiscApiStatSearchGroupByTypesOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **filterLevel** | [**optional.Interface of FilterLevelEnum**](.md)| Categories of filters for stat search | 

### Return type

[**[]GroupByEnum**](GroupByEnum.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **StatSearchParams**
> []StatSearchParamRestObject StatSearchParams(ctx, optional)
List stat search parameters

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
 **optional** | ***MiscApiStatSearchParamsOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a MiscApiStatSearchParamsOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **filterLevel** | [**optional.Interface of FilterLevelEnum**](.md)| Categories of filters for stat search | 

### Return type

[**[]StatSearchParamRestObject**](StatSearchParamRestObject.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **StatSearchStats**
> []StatSearchStatRestObject StatSearchStats(ctx, optional)
List stat search stats

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
 **optional** | ***MiscApiStatSearchStatsOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a MiscApiStatSearchStatsOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **filterLevel** | [**optional.Interface of FilterLevelEnum**](.md)| Categories of filters for stat search | 

### Return type

[**[]StatSearchStatRestObject**](StatSearchStatRestObject.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **StatTypes**
> []StatType StatTypes(ctx, )
List all stat types

### Required Parameters
This endpoint does not need any parameter.

### Return type

[**[]StatType**](StatType.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **StatcastPositionTypes**
> []StatcastPositionRestObject StatcastPositionTypes(ctx, )
List all statcast position types

### Required Parameters
This endpoint does not need any parameter.

### Return type

[**[]StatcastPositionRestObject**](StatcastPositionRestObject.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **TrackingSoftwareVersions**
> []TrackingSoftwareVersionRestObject TrackingSoftwareVersions(ctx, )
List the tracking software versions and notes

### Required Parameters
This endpoint does not need any parameter.

### Return type

[**[]TrackingSoftwareVersionRestObject**](TrackingSoftwareVersionRestObject.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **TrackingSystemOwners**
> []TrackingSystemOwner TrackingSystemOwners(ctx, )
List all tracking system owners

### Required Parameters
This endpoint does not need any parameter.

### Return type

[**[]TrackingSystemOwner**](TrackingSystemOwner.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **TrackingVendors**
> []TrackingVendor TrackingVendors(ctx, )
List all tracking vendors

### Required Parameters
This endpoint does not need any parameter.

### Return type

[**[]TrackingVendor**](TrackingVendor.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **TrackingVersions**
> []TrackingVersion TrackingVersions(ctx, )
List all tracking versions

### Required Parameters
This endpoint does not need any parameter.

### Return type

[**[]TrackingVersion**](TrackingVersion.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **TransactionTypes**
> []GeneralLookupRestObject TransactionTypes(ctx, optional)
List all transaction types

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
 **optional** | ***MiscApiTransactionTypesOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a MiscApiTransactionTypesOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **fields** | [**optional.Interface of []string**](string.md)| Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

[**[]GeneralLookupRestObject**](GeneralLookupRestObject.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **UpdateGameStatuses**
> string UpdateGameStatuses(ctx, )
Clear all status types

### Required Parameters
This endpoint does not need any parameter.

### Return type

**string**

### Authorization

[basicAuth](../README.md#basicAuth), [bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **UpdateJobTypes**
> string UpdateJobTypes(ctx, )


### Required Parameters
This endpoint does not need any parameter.

### Return type

**string**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **VideoResolutionTypes**
> []VideoResolutionEnumRestObject VideoResolutionTypes(ctx, )
View video resolution options

### Required Parameters
This endpoint does not need any parameter.

### Return type

[**[]VideoResolutionEnumRestObject**](VideoResolutionEnumRestObject.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **ViolationTypes**
> []ViolationTypeRestObject ViolationTypes(ctx, )
View available violationType options

### Required Parameters
This endpoint does not need any parameter.

### Return type

[**[]ViolationTypeRestObject**](ViolationTypeRestObject.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **WeatherTrajectoryConfidences**
> []WeatherTrajectoryConfidenceTypeRestObject WeatherTrajectoryConfidences(ctx, )
List all weather trajectories

### Required Parameters
This endpoint does not need any parameter.

### Return type

[**[]WeatherTrajectoryConfidenceTypeRestObject**](WeatherTrajectoryConfidenceTypeRestObject.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **WindDirection**
> []GeneralLookupRestObject WindDirection(ctx, optional)
List all wind direction options

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
 **optional** | ***MiscApiWindDirectionOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a MiscApiWindDirectionOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **fields** | [**optional.Interface of []string**](string.md)| Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

[**[]GeneralLookupRestObject**](GeneralLookupRestObject.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

