# {{classname}}

All URIs are relative to *https://statsapi.mlb.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**GetProps**](PredictionsApi.md#GetProps) | **Get** /api/v1/props/play/predictions | Get play-level predictions based on input scenarios
[**GetPropsAdjust**](PredictionsApi.md#GetPropsAdjust) | **Get** /api/v1/props/play/predictions/adjust | Get play-level predictions based on input scenarios

# **GetProps**
> interface{} GetProps(ctx, optional)
Get play-level predictions based on input scenarios

This endpoint allows you to get play-level predictions based on input scenarios

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
 **optional** | ***PredictionsApiGetPropsOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a PredictionsApiGetPropsOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **batterId** | **optional.Int32**| Unique Player Identifier. Format: 434538, 429665, etc | 
 **pitcherId** | **optional.Int32**| Unique Player Identifier. Format: 434538, 429665, etc | 
 **venueId** | **optional.Int32**| Unique Venue Identifier | 
 **batSide** | **optional.String**| Bat side of hitter | 
 **pitchHand** | **optional.String**| Handedness of pitcher | 
 **batterPosition** | **optional.String**| Position abbreviation. Format: SS, P, 1B, etc | 
 **pitcherPosition** | **optional.String**| Position abbreviation. Format: SS, P, 1B, etc | 

### Return type

[**interface{}**](interface{}.md)

### Authorization

[basicAuth](../README.md#basicAuth), [bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **GetPropsAdjust**
> interface{} GetPropsAdjust(ctx, gamePk)
Get play-level predictions based on input scenarios

This endpoint allows you to get play-level predictions based on input scenarios

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **gamePk** | **int32**| Unique Primary Key Representing a Game | 

### Return type

[**interface{}**](interface{}.md)

### Authorization

[basicAuth](../README.md#basicAuth), [bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

