# {{classname}}

All URIs are relative to *https://statsapi.mlb.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**GetStreaks**](StreaksApi.md#GetStreaks) | **Get** /api/v1/streaks | View streaks
[**StreakTypes**](StreaksApi.md#StreakTypes) | **Get** /api/v1/streaks/types | View streaks parameter options

# **GetStreaks**
> StreaksWrapperRestObject GetStreaks(ctx, optional)
View streaks

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
 **optional** | ***StreaksApiGetStreaksOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a StreaksApiGetStreaksOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **streakOrg** | [**optional.Interface of OrganizationType**](.md)|  | 
 **streakStat** | [**optional.Interface of []StreakStatEnum**](StreakStatEnum.md)|  | 
 **streakSpan** | [**optional.Interface of StreakSpanEnum**](.md)|  | 
 **streakLevel** | [**optional.Interface of StreakLevelEnum**](.md)|  | 
 **streakThreshold** | **optional.Int32**|  | 
 **inverse** | **optional.Bool**|  | 
 **startersOnly** | **optional.Bool**|  | 
 **statGroup** | [**optional.Interface of []StatGroup**](StatGroup.md)| Category of statistic to return. Available types in /api/v1/statGroups | 
 **gameType** | [**optional.Interface of []GameTypeEnum**](GameTypeEnum.md)| Type of Game. Available types in /api/v1/gameTypes | 
 **season** | [**optional.Interface of []string**](string.md)| Season of play | 
 **teamId** | [**optional.Interface of []int32**](int32.md)| Unique Team Identifier. Format: 141, 147, etc | 
 **leagueId** | [**optional.Interface of []int32**](int32.md)| Unique League Identifier | 
 **sportId** | [**optional.Interface of []int32**](int32.md)| Top level organization of a sport | 
 **activeStreak** | **optional.Bool**| Whether or not a player is active | 
 **limit** | **optional.Int32**| Number of results to return | 
 **fields** | [**optional.Interface of []string**](string.md)| Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 
 **playerId** | [**optional.Interface of []int32**](int32.md)| A unique identifier for a player | 

### Return type

[**StreaksWrapperRestObject**](StreaksWrapperRestObject.md)

### Authorization

[basicAuth](../README.md#basicAuth), [bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **StreakTypes**
> map[string][]interface{} StreakTypes(ctx, )
View streaks parameter options

### Required Parameters
This endpoint does not need any parameter.

### Return type

[**map[string][]interface{}**](array.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

