# {{classname}}

All URIs are relative to *https://statsapi.mlb.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**Transactions**](TransactionsApi.md#Transactions) | **Get** /api/v1/transactions | View transaction info

# **Transactions**
> TransactionsRestObject Transactions(ctx, optional)
View transaction info

This endpoint allows you to pull transactions.

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
 **optional** | ***TransactionsApiTransactionsOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a TransactionsApiTransactionsOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **leagueId** | [**optional.Interface of []int32**](int32.md)| Comma delimited list of Unique league identifiers | 
 **sportId** | [**optional.Interface of []int32**](int32.md)| Comma delimited list of top level organizations of a sport | 
 **teamId** | [**optional.Interface of []int32**](int32.md)| Comma delimited list of Unique Team identifiers | 
 **playerId** | [**optional.Interface of []int32**](int32.md)| A unique identifier for a player | 
 **date** | **optional.String**| Date of Game. Format: YYYY-MM-DD | 
 **startDate** | **optional.String**| Start date for range of data (must be used with end date). Format: MM/DD/YYYY | 
 **endDate** | **optional.String**| End date for range of data (must be used with start date). Format: MM/DD/YYYY | 
 **transactionIds** | [**optional.Interface of []int32**](int32.md)|  | 
 **transactionTypes** | [**optional.Interface of []string**](string.md)|  | 
 **divisionIds** | [**optional.Interface of []int32**](int32.md)|  | 
 **order** | [**optional.Interface of SortOrderEnum**](.md)|  | 
 **limit** | **optional.Int32**|  | 
 **fields** | [**optional.Interface of []string**](string.md)| Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

[**TransactionsRestObject**](TransactionsRestObject.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

