/*
Copyright (C) 2025 filifa

This file is part of mlbstats.

mlbstats is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

mlbstats is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
mlbstats. If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Stats API Documentation
 *
 * Official API for Major League Baseball.
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package models

type AnalyticsPlayMetadataRestObject struct {
	Copyright            string                       `json:"copyright,omitempty"`
	Hydrations           []string                     `json:"hydrations,omitempty"`
	GamePk               string                       `json:"gamePk,omitempty"`
	GameDate             string                       `json:"gameDate,omitempty"`
	TimeCode             string                       `json:"timeCode,omitempty"`
	Guid                 string                       `json:"guid,omitempty"`
	AtBatNumber          int32                        `json:"atBatNumber,omitempty"`
	PitchNumber          int32                        `json:"pitchNumber,omitempty"`
	PickoffNumber        int32                        `json:"pickoffNumber,omitempty"`
	GameMode             *GameModeTo                  `json:"gameMode,omitempty"`
	Inning               int32                        `json:"inning,omitempty"`
	IsTopInning          bool                         `json:"isTopInning,omitempty"`
	IsPitch              bool                         `json:"isPitch,omitempty"`
	IsPickoff            bool                         `json:"isPickoff,omitempty"`
	IsHit                bool                         `json:"isHit,omitempty"`
	IsManual             bool                         `json:"isManual,omitempty"`
	RawFile              string                       `json:"rawFile,omitempty"`
	ParsedFile           string                       `json:"parsedFile,omitempty"`
	Time                 string                       `json:"time,omitempty"`
	StartTime            string                       `json:"startTime,omitempty"`
	EndTime              string                       `json:"endTime,omitempty"`
	PitchTime            string                       `json:"pitchTime,omitempty"`
	CreatedAt            string                       `json:"createdAt,omitempty"`
	UpdatedAt            string                       `json:"updatedAt,omitempty"`
	AuditUpdatedAt       string                       `json:"auditUpdatedAt,omitempty"`
	MetricsUpdatedAt     string                       `json:"metricsUpdatedAt,omitempty"`
	HasUpdates           bool                         `json:"hasUpdates,omitempty"`
	NumberOfMetricErrors int32                        `json:"numberOfMetricErrors,omitempty"`
	TimeCodeOffset       string                       `json:"timeCodeOffset,omitempty"`
	IsScrubbed           bool                         `json:"isScrubbed,omitempty"`
	VideoUpdatedAt       string                       `json:"videoUpdatedAt,omitempty"`
	StrikeZoneInfo       *JsonNode                    `json:"strikeZoneInfo,omitempty"`
	PitchSegment         *PitchSegmentRestObject      `json:"pitchSegment,omitempty"`
	HitSegment           *HitSegmentRestObject        `json:"hitSegment,omitempty"`
	ContextMetrics       []CalculatedMetricRestObject `json:"contextMetrics,omitempty"`
	ContextAverages      []CalculatedMetricRestObject `json:"contextAverages,omitempty"`
	CalculatedMetrics    []CalculatedMetricRestObject `json:"calculatedMetrics,omitempty"`
	InvalidTracks        []CalculatedMetricRestObject `json:"invalidTracks,omitempty"`
	Video                *IFeedRestObject             `json:"video,omitempty"`
	MetaData             *StatSplitsRestObject        `json:"metaData,omitempty"`
	PlayResult           *PlayResultRestObject        `json:"playResult,omitempty"`
	PlayByPlay           *BaseballPlayRestObject      `json:"playByPlay,omitempty"`
}
