/*
Copyright (C) 2025 filifa

This file is part of mlbstats.

mlbstats is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

mlbstats is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
mlbstats. If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Stats API Documentation
 *
 * Official API for Major League Baseball.
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package models

type Award struct {
	RequestingUserRole *Role           `json:"requestingUserRole,omitempty"`
	Results            []AwardResult   `json:"results,omitempty"`
	Winners            []AwardWinner   `json:"winners,omitempty"`
	Id                 string          `json:"id,omitempty"`
	Name               string          `json:"name,omitempty"`
	ShortName          string          `json:"shortName,omitempty"`
	Description        string          `json:"description,omitempty"`
	RecipientType      string          `json:"recipientType,omitempty"`
	History            string          `json:"history,omitempty"`
	Team               *BaseballTeam   `json:"team,omitempty"`
	ImageUrl           string          `json:"imageUrl,omitempty"`
	HomePageUrl        string          `json:"homePageUrl,omitempty"`
	Date               string          `json:"date,omitempty"`
	Season             string          `json:"season,omitempty"`
	SortOrder          int32           `json:"sortOrder,omitempty"`
	Player             *BaseballPerson `json:"player,omitempty"`
	Votes              int32           `json:"votes,omitempty"`
	VotesAvailable     int32           `json:"votesAvailable,omitempty"`
	Sport              *Sport          `json:"sport,omitempty"`
	League             *League         `json:"league,omitempty"`
	Notes              string          `json:"notes,omitempty"`
	OrganizationId     int32           `json:"organizationId,omitempty"`
	UserPrivileges     []Privilege     `json:"userPrivileges,omitempty"`
}
