/*
Copyright (C) 2025 filifa

This file is part of mlbstats.

mlbstats is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

mlbstats is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
mlbstats. If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Stats API Documentation
 *
 * Official API for Major League Baseball.
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package models

type BaseballDraftProspectRestObject struct {
	Copyright         string                    `json:"copyright,omitempty"`
	BisPlayerId       int32                     `json:"bisPlayerId,omitempty"`
	BisSchoolId       int32                     `json:"bisSchoolId,omitempty"`
	PickRound         string                    `json:"pickRound,omitempty"`
	PickNumber        int32                     `json:"pickNumber,omitempty"`
	DisplayPickNumber int32                     `json:"displayPickNumber,omitempty"`
	RoundPickNumber   int32                     `json:"roundPickNumber,omitempty"`
	Rank              int32                     `json:"rank,omitempty"`
	PickValue         string                    `json:"pickValue,omitempty"`
	SigningBonus      string                    `json:"signingBonus,omitempty"`
	Home              *LocationRestObject       `json:"home,omitempty"`
	ScoutingReport    string                    `json:"scoutingReport,omitempty"`
	School            *SchoolRestObject         `json:"school,omitempty"`
	Blurb             string                    `json:"blurb,omitempty"`
	HeadshotLink      string                    `json:"headshotLink,omitempty"`
	Person            *BaseballPersonRestObject `json:"person,omitempty"`
	Team              *BaseballTeamRestObject   `json:"team,omitempty"`
	DraftType         *DraftTypeEnumRestObject  `json:"draftType,omitempty"`
	IsDrafted         bool                      `json:"isDrafted,omitempty"`
	IsPass            bool                      `json:"isPass,omitempty"`
	Year              string                    `json:"year,omitempty"`
}
