/*
Copyright (C) 2025 filifa

This file is part of mlbstats.

mlbstats is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

mlbstats is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
mlbstats. If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Stats API Documentation
 *
 * Official API for Major League Baseball.
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package models

type BaseballGameContextRestObject struct {
	Copyright                    string                          `json:"copyright,omitempty"`
	Game                         *BaseballScheduleItemRestObject `json:"game,omitempty"`
	ExpectedStatisticsData       *StatDataRestObject             `json:"expectedStatisticsData,omitempty"`
	RunnerOnThird                *BaseballPersonRestObject       `json:"runnerOnThird,omitempty"`
	LeftFieldSacFlyProbability   *SacFlyProbability              `json:"leftFieldSacFlyProbability,omitempty"`
	CenterFieldSacFlyProbability *SacFlyProbability              `json:"centerFieldSacFlyProbability,omitempty"`
	RightFieldSacFlyProbability  *SacFlyProbability              `json:"rightFieldSacFlyProbability,omitempty"`
	AwayWinProbability           float64                         `json:"awayWinProbability,omitempty"`
	HomeWinProbability           float64                         `json:"homeWinProbability,omitempty"`
}
