/*
Copyright (C) 2025 filifa

This file is part of mlbstats.

mlbstats is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

mlbstats is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
mlbstats. If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Stats API Documentation
 *
 * Official API for Major League Baseball.
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package models

type BaseballGameDataRestObject struct {
	Copyright           string                              `json:"copyright,omitempty"`
	Game                *BaseballGameDataGameRestObject     `json:"game,omitempty"`
	Datetime            *BaseballGameDateTimeRestObject     `json:"datetime,omitempty"`
	Status              *GameStatusRestObject               `json:"status,omitempty"`
	Teams               map[string]BaseballTeamRestObject   `json:"teams,omitempty"`
	Players             map[string]BaseballPersonRestObject `json:"players,omitempty"`
	Venue               *VenueRestObject                    `json:"venue,omitempty"`
	OfficialVenue       *VenueRestObject                    `json:"officialVenue,omitempty"`
	Weather             *WeatherRestObject                  `json:"weather,omitempty"`
	GameInfo            *GameInfoRestObject                 `json:"gameInfo,omitempty"`
	Review              *BaseballReviewRestObject           `json:"review,omitempty"`
	AbsChallenges       *BaseballAbsChallengeRestObject     `json:"absChallenges,omitempty"`
	Flags               *BaseballGameFlagRestObject         `json:"flags,omitempty"`
	Alerts              []BaseballGameAlertRestObject       `json:"alerts,omitempty"`
	ProbablePitchers    *BaseballGameProbableRestObject     `json:"probablePitchers,omitempty"`
	OfficialScorer      *BaseballPersonRestObject           `json:"officialScorer,omitempty"`
	PrimaryDatacaster   *BaseballPersonRestObject           `json:"primaryDatacaster,omitempty"`
	SecondaryDatacaster *BaseballPersonRestObject           `json:"secondaryDatacaster,omitempty"`
	RuleSettings        []RuleSettingsRestObject            `json:"ruleSettings,omitempty"`
	MoundVisits         *MoundVisitsRestObject              `json:"moundVisits,omitempty"`
}
