/*
Copyright (C) 2025 filifa

This file is part of mlbstats.

mlbstats is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

mlbstats is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
mlbstats. If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Stats API Documentation
 *
 * Official API for Major League Baseball.
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package models

type BaseballLinescoreRestObject struct {
	Copyright            string                               `json:"copyright,omitempty"`
	Note                 string                               `json:"note,omitempty"`
	CurrentInning        int32                                `json:"currentInning,omitempty"`
	CurrentInningOrdinal string                               `json:"currentInningOrdinal,omitempty"`
	InningState          string                               `json:"inningState,omitempty"`
	InningHalf           string                               `json:"inningHalf,omitempty"`
	IsTopInning          bool                                 `json:"isTopInning,omitempty"`
	ScheduledInnings     int32                                `json:"scheduledInnings,omitempty"`
	Innings              []InningRestObject                   `json:"innings,omitempty"`
	Teams                *BaseballLinescoreTeamInfoRestObject `json:"teams,omitempty"`
	Defense              *BaseballDefenseRestObject           `json:"defense,omitempty"`
	Offense              *BaseballOffenseRestObject           `json:"offense,omitempty"`
	Balls                int32                                `json:"balls,omitempty"`
	Strikes              int32                                `json:"strikes,omitempty"`
	Outs                 int32                                `json:"outs,omitempty"`
	Tie                  bool                                 `json:"tie,omitempty"`
}
