/*
Copyright (C) 2025 filifa

This file is part of mlbstats.

mlbstats is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

mlbstats is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
mlbstats. If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Stats API Documentation
 *
 * Official API for Major League Baseball.
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package models

type BaseballOffenseRestObject struct {
	Copyright      string                    `json:"copyright,omitempty"`
	Batter         *BaseballPersonRestObject `json:"batter,omitempty"`
	OnDeck         *BaseballPersonRestObject `json:"onDeck,omitempty"`
	InHole         *BaseballPersonRestObject `json:"inHole,omitempty"`
	First          *BaseballPersonRestObject `json:"first,omitempty"`
	Second         *BaseballPersonRestObject `json:"second,omitempty"`
	Third          *BaseballPersonRestObject `json:"third,omitempty"`
	PostOnFirst    *BaseballPersonRestObject `json:"postOnFirst,omitempty"`
	PostOnSecond   *BaseballPersonRestObject `json:"postOnSecond,omitempty"`
	PostOnThird    *BaseballPersonRestObject `json:"postOnThird,omitempty"`
	Pitcher        *BaseballPersonRestObject `json:"pitcher,omitempty"`
	BatterPosition *PositionRestObject       `json:"batterPosition,omitempty"`
	BattingOrder   int32                     `json:"battingOrder,omitempty"`
	Team           *BaseballTeamRestObject   `json:"team,omitempty"`
}
