/*
Copyright (C) 2025 filifa

This file is part of mlbstats.

mlbstats is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

mlbstats is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
mlbstats. If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Stats API Documentation
 *
 * Official API for Major League Baseball.
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package models

type BaseballPersonRestObject struct {
	Id                 int32                             `json:"id,omitempty"`
	FullName           string                            `json:"fullName,omitempty"`
	Link               string                            `json:"link,omitempty"`
	FirstName          string                            `json:"firstName,omitempty"`
	LastName           string                            `json:"lastName,omitempty"`
	PrimaryNumber      string                            `json:"primaryNumber,omitempty"`
	BirthDate          string                            `json:"birthDate,omitempty"`
	CurrentAge         int32                             `json:"currentAge,omitempty"`
	BirthCity          string                            `json:"birthCity,omitempty"`
	BirthStateProvince string                            `json:"birthStateProvince,omitempty"`
	BirthCountry       string                            `json:"birthCountry,omitempty"`
	Nationality        string                            `json:"nationality,omitempty"`
	Height             string                            `json:"height,omitempty"`
	Weight             int32                             `json:"weight,omitempty"`
	Active             bool                              `json:"active,omitempty"`
	AlternateCaptain   bool                              `json:"alternateCaptain,omitempty"`
	Captain            bool                              `json:"captain,omitempty"`
	Rookie             bool                              `json:"rookie,omitempty"`
	CurrentTeam        *BaseballTeamRestObject           `json:"currentTeam,omitempty"`
	PrimaryPosition    *PositionRestObject               `json:"primaryPosition,omitempty"`
	Social             *SocialMediaRestObject            `json:"social,omitempty"`
	Copyright          string                            `json:"copyright,omitempty"`
	Hydrations         []string                          `json:"hydrations,omitempty"`
	UseName            string                            `json:"useName,omitempty"`
	UseLastName        string                            `json:"useLastName,omitempty"`
	MiddleName         string                            `json:"middleName,omitempty"`
	BoxscoreName       string                            `json:"boxscoreName,omitempty"`
	NickName           string                            `json:"nickName,omitempty"`
	Gender             string                            `json:"gender,omitempty"`
	NameMatrilineal    string                            `json:"nameMatrilineal,omitempty"`
	IsPlayer           bool                              `json:"isPlayer,omitempty"`
	IsVerified         bool                              `json:"isVerified,omitempty"`
	DraftYear          int32                             `json:"draftYear,omitempty"`
	DeathDate          string                            `json:"deathDate,omitempty"`
	DeathCity          string                            `json:"deathCity,omitempty"`
	DeathStateProvince string                            `json:"deathStateProvince,omitempty"`
	DeathCountry       string                            `json:"deathCountry,omitempty"`
	Pronunciation      string                            `json:"pronunciation,omitempty"`
	LastPlayedDate     string                            `json:"lastPlayedDate,omitempty"`
	RookieSeasons      []string                          `json:"rookieSeasons,omitempty"`
	OtherNames         *OtherNamesRestObject             `json:"otherNames,omitempty"`
	Education          *EducationRestObject              `json:"education,omitempty"`
	Photos             []PhotoRestObject                 `json:"photos,omitempty"`
	Stats              []StatContainerRestObject         `json:"stats,omitempty"`
	Awards             []AwardRestObject                 `json:"awards,omitempty"`
	Draft              []PlayerDraftInfoRestObject       `json:"draft,omitempty"`
	AdditionalBio      *AdditionalBioRestObject          `json:"additionalBio,omitempty"`
	MlbDebutDate       string                            `json:"mlbDebutDate,omitempty"`
	BatSide            *DynamicEnumRestObject            `json:"batSide,omitempty"`
	PitchHand          *DynamicEnumRestObject            `json:"pitchHand,omitempty"`
	Note               string                            `json:"note,omitempty"`
	NameFirstLast      string                            `json:"nameFirstLast,omitempty"`
	NameTitle          string                            `json:"nameTitle,omitempty"`
	NamePrefix         string                            `json:"namePrefix,omitempty"`
	NameSuffix         string                            `json:"nameSuffix,omitempty"`
	NameSlug           string                            `json:"nameSlug,omitempty"`
	FirstLastName      string                            `json:"firstLastName,omitempty"`
	LastFirstName      string                            `json:"lastFirstName,omitempty"`
	LastInitName       string                            `json:"lastInitName,omitempty"`
	InitLastName       string                            `json:"initLastName,omitempty"`
	FullFMLName        string                            `json:"fullFMLName,omitempty"`
	FullLFMName        string                            `json:"fullLFMName,omitempty"`
	StrikeZoneTop      float64                           `json:"strikeZoneTop,omitempty"`
	StrikeZoneBottom   float64                           `json:"strikeZoneBottom,omitempty"`
	AlumniLastSeason   string                            `json:"alumniLastSeason,omitempty"`
	Drafts             []BaseballDraftProspectRestObject `json:"drafts,omitempty"`
	Transactions       []TransactionRestObject           `json:"transactions,omitempty"`
	Articles           []IFeedRestObject                 `json:"articles,omitempty"`
	Videos             []IFeedRestObject                 `json:"videos,omitempty"`
	MixedFeed          []IFeedRestObject                 `json:"mixedFeed,omitempty"`
	Relatives          []BaseballPersonRestObject        `json:"relatives,omitempty"`
	XrefIds            []XrefIdRestObject                `json:"xrefIds,omitempty"`
	Nicknames          []string                          `json:"nicknames,omitempty"`
	DepthCharts        []DepthChartRestObject            `json:"depthCharts,omitempty"`
}
