/*
Copyright (C) 2025 filifa

This file is part of mlbstats.

mlbstats is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

mlbstats is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
mlbstats. If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Stats API Documentation
 *
 * Official API for Major League Baseball.
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package models

type BaseballPitchDataRestObject struct {
	Copyright        string       `json:"copyright,omitempty"`
	StartSpeed       float64      `json:"startSpeed,omitempty"`
	EndSpeed         float64      `json:"endSpeed,omitempty"`
	NastyFactor      float64      `json:"nastyFactor,omitempty"`
	StrikeZoneTop    float64      `json:"strikeZoneTop,omitempty"`
	StrikeZoneBottom float64      `json:"strikeZoneBottom,omitempty"`
	StrikeZoneWidth  float64      `json:"strikeZoneWidth,omitempty"`
	StrikeZoneDepth  float64      `json:"strikeZoneDepth,omitempty"`
	Coordinates      *Coordinates `json:"coordinates,omitempty"`
	Breaks           *Breaks      `json:"breaks,omitempty"`
	Zone             int32        `json:"zone,omitempty"`
	TypeConfidence   float64      `json:"typeConfidence,omitempty"`
	PlateTime        float64      `json:"plateTime,omitempty"`
	Extension        float64      `json:"extension,omitempty"`
}
