/*
Copyright (C) 2025 filifa

This file is part of mlbstats.

mlbstats is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

mlbstats is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
mlbstats. If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Stats API Documentation
 *
 * Official API for Major League Baseball.
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package models

type BaseballRosterEntryRestObject struct {
	Person           *BaseballPersonRestObject `json:"person,omitempty"`
	JerseyNumber     string                    `json:"jerseyNumber,omitempty"`
	Position         *PositionRestObject       `json:"position,omitempty"`
	AlternateCaptain bool                      `json:"alternateCaptain,omitempty"`
	Captain          bool                      `json:"captain,omitempty"`
	Note             string                    `json:"note,omitempty"`
	Status           *DynamicEnumRestObject    `json:"status,omitempty"`
	Job              string                    `json:"job,omitempty"`
	JobId            string                    `json:"jobId,omitempty"`
	Title            string                    `json:"title,omitempty"`
	ParentTeamId     int32                     `json:"parentTeamId,omitempty"`
	Team             *BaseballTeamRestObject   `json:"team,omitempty"`
	IsActive         bool                      `json:"isActive,omitempty"`
	StartDate        string                    `json:"startDate,omitempty"`
	EndDate          string                    `json:"endDate,omitempty"`
	StatusDate       string                    `json:"statusDate,omitempty"`
	IsActiveFortyMan bool                      `json:"isActiveFortyMan,omitempty"`
	BattingOrder     string                    `json:"battingOrder,omitempty"`
	Stats            *StatsRestObject          `json:"stats,omitempty"`
	SeasonStats      *StatsRestObject          `json:"seasonStats,omitempty"`
	GameStatus       *GameStatusRestObject     `json:"gameStatus,omitempty"`
	AllPositions     []PositionRestObject      `json:"allPositions,omitempty"`
}
