/*
Copyright (C) 2025 filifa

This file is part of mlbstats.

mlbstats is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

mlbstats is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
mlbstats. If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Stats API Documentation
 *
 * Official API for Major League Baseball.
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package models

type BaseballRunnerMovement struct {
	StartBase          string            `json:"startBase,omitempty"`
	EndBase            string            `json:"endBase,omitempty"`
	EventType          string            `json:"eventType,omitempty"`
	EventTypeEnum      *EventType        `json:"eventTypeEnum,omitempty"`
	Runner             *BaseballPerson   `json:"runner,omitempty"`
	ResponsiblePitcher *BaseballPerson   `json:"responsiblePitcher,omitempty"`
	IsScoringEvent     bool              `json:"isScoringEvent,omitempty"`
	IsRbi              bool              `json:"isRbi,omitempty"`
	IsEarned           bool              `json:"isEarned,omitempty"`
	PlayIndex          int32             `json:"playIndex,omitempty"`
	Sequence           int32             `json:"sequence,omitempty"`
	OutNumber          int32             `json:"outNumber,omitempty"`
	OutBase            string            `json:"outBase,omitempty"`
	MovementReason     string            `json:"movementReason,omitempty"`
	MovementReasonEnum *RunnerDetailType `json:"movementReasonEnum,omitempty"`
	Credits            []PlayCredit      `json:"credits,omitempty"`
	OriginBase         int32             `json:"originBase,omitempty"`
	StartBaseInt       int32             `json:"startBaseInt,omitempty"`
	EndBaseInt         int32             `json:"endBaseInt,omitempty"`
	Out                bool              `json:"out,omitempty"`
	ScoringEvent       bool              `json:"scoringEvent,omitempty"`
	TeamUnearned       bool              `json:"teamUnearned,omitempty"`
	Events             map[string]string `json:"events,omitempty"`
	Rbi                bool              `json:"rbi,omitempty"`
	Earned             bool              `json:"earned,omitempty"`
}
