/*
Copyright (C) 2025 filifa

This file is part of mlbstats.

mlbstats is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

mlbstats is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
mlbstats. If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Stats API Documentation
 *
 * Official API for Major League Baseball.
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package models

type BaseballSchedule struct {
	RequestingUserRole             *Role                  `json:"requestingUserRole,omitempty"`
	Games                          []BaseballScheduleItem `json:"games,omitempty"`
	RefreshInterval                int32                  `json:"refreshInterval,omitempty"`
	IncludeSiteBroadcasts          bool                   `json:"includeSiteBroadcasts,omitempty"`
	IncludeEventTickets            bool                   `json:"includeEventTickets,omitempty"`
	GameTypes                      []GameTypeEnum         `json:"gameTypes,omitempty"`
	ScheduleEvents                 []ScheduleEvent        `json:"scheduleEvents,omitempty"`
	Abschallenges                  map[string]interface{} `json:"abschallenges,omitempty"`
	Challenges                     map[string]interface{} `json:"challenges,omitempty"`
	Flags                          map[string]interface{} `json:"flags,omitempty"`
	TeamsWithGames                 []int32                `json:"teamsWithGames,omitempty"`
	ScheduleItems                  []BaseballScheduleItem `json:"scheduleItems,omitempty"`
	HomeRuns                       map[string]interface{} `json:"homeRuns,omitempty"`
	Alerts                         map[string]interface{} `json:"alerts,omitempty"`
	BaseballSchedule               []BaseballScheduleItem `json:"baseballSchedule,omitempty"`
	HydratedStats                  map[string]interface{} `json:"hydratedStats,omitempty"`
	HydratedPeople                 map[string]interface{} `json:"hydratedPeople,omitempty"`
	PreviousPlay                   map[string]interface{} `json:"previousPlay,omitempty"`
	HydratedTeamLeadersInPreview   map[string]interface{} `json:"hydratedTeamLeadersInPreview,omitempty"`
	HydratedTeamLeaders            map[string]interface{} `json:"hydratedTeamLeaders,omitempty"`
	ProbablePitchersNotes          map[string]interface{} `json:"probablePitchersNotes,omitempty"`
	HydratedProbablePitchers       map[string]interface{} `json:"hydratedProbablePitchers,omitempty"`
	LiveLookins                    map[string]interface{} `json:"liveLookins,omitempty"`
	BaseballLineups                map[string]interface{} `json:"baseballLineups,omitempty"`
	ProbableOfficials              map[string]interface{} `json:"probableOfficials,omitempty"`
	HydratedTeamsAsString          map[string]interface{} `json:"hydratedTeamsAsString,omitempty"`
	HydratedVenuesAsString         map[string]interface{} `json:"hydratedVenuesAsString,omitempty"`
	HydratedEventVenuesAsString    map[string]interface{} `json:"hydratedEventVenuesAsString,omitempty"`
	HydratedEventDivisionsAsString map[string]interface{} `json:"hydratedEventDivisionsAsString,omitempty"`
	HydratedEventLeaguesAsString   map[string]interface{} `json:"hydratedEventLeaguesAsString,omitempty"`
	HydratedEventSportsAsString    map[string]interface{} `json:"hydratedEventSportsAsString,omitempty"`
	GamePreviewStoryLegacy         *BaseballScheduleItem  `json:"gamePreviewStoryLegacy,omitempty"`
	UserPrivileges                 []Privilege            `json:"userPrivileges,omitempty"`
}
