/*
Copyright (C) 2025 filifa

This file is part of mlbstats.

mlbstats is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

mlbstats is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
mlbstats. If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Stats API Documentation
 *
 * Official API for Major League Baseball.
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package models

type BaseballTeamRestObject struct {
	Copyright            string                         `json:"copyright,omitempty"`
	Hydrations           []string                       `json:"hydrations,omitempty"`
	SpringLeague         *LeagueRestObject              `json:"springLeague,omitempty"`
	XrefIds              []XrefIdRestObject             `json:"xrefIds,omitempty"`
	AllStarStatus        *AllStarEnum                   `json:"allStarStatus,omitempty"`
	Id                   int32                          `json:"id,omitempty"`
	Name                 string                         `json:"name,omitempty"`
	Link                 string                         `json:"link,omitempty"`
	Season               int32                          `json:"season,omitempty"`
	Venue                *VenueRestObject               `json:"venue,omitempty"`
	SpringVenue          *VenueRestObject               `json:"springVenue,omitempty"`
	TeamCode             string                         `json:"teamCode,omitempty"`
	FileCode             string                         `json:"fileCode,omitempty"`
	Abbreviation         string                         `json:"abbreviation,omitempty"`
	TriCode              string                         `json:"triCode,omitempty"`
	TeamName             string                         `json:"teamName,omitempty"`
	LocationName         string                         `json:"locationName,omitempty"`
	FirstYearOfPlay      string                         `json:"firstYearOfPlay,omitempty"`
	League               *LeagueRestObject              `json:"league,omitempty"`
	Division             *DivisionRestObject            `json:"division,omitempty"`
	Sport                *SportRestObject               `json:"sport,omitempty"`
	Conference           *ConferenceRestObject          `json:"conference,omitempty"`
	Franchise            *FranchiseRestObject           `json:"franchise,omitempty"`
	TeamStats            []StatContainerRestObject      `json:"teamStats,omitempty"`
	Roster               *RosterRestObject              `json:"roster,omitempty"`
	TeamLeaders          []LeadersRestObject            `json:"teamLeaders,omitempty"`
	NextGameSchedule     *ScheduleRestObject            `json:"nextGameSchedule,omitempty"`
	PreviousGameSchedule *ScheduleRestObject            `json:"previousGameSchedule,omitempty"`
	NextSchedule         *ScheduleRestObject            `json:"nextSchedule,omitempty"`
	PreviousSchedule     *ScheduleRestObject            `json:"previousSchedule,omitempty"`
	Content              *TeamContentCms                `json:"content,omitempty"`
	DeviceProperties     *JsonNode                      `json:"deviceProperties,omitempty"`
	Social               *SocialMediaRestObject         `json:"social,omitempty"`
	ShortName            string                         `json:"shortName,omitempty"`
	Record               *TeamStandingsRecordRestObject `json:"record,omitempty"`
	PlayoffInfo          *TeamPlayoffs                  `json:"playoffInfo,omitempty"`
	HomeAway             string                         `json:"homeAway,omitempty"`
	TeamDesignation      string                         `json:"teamDesignation,omitempty"`
	ParentOrgName        string                         `json:"parentOrgName,omitempty"`
	ParentOrgId          int32                          `json:"parentOrgId,omitempty"`
	FranchiseName        string                         `json:"franchiseName,omitempty"`
	ClubName             string                         `json:"clubName,omitempty"`
	Location             *LocationRestObject            `json:"location,omitempty"`
	Active               bool                           `json:"active,omitempty"`
	Placeholder          bool                           `json:"placeholder,omitempty"`
}
