/*
Copyright (C) 2025 filifa

This file is part of mlbstats.

mlbstats is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

mlbstats is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
mlbstats. If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Stats API Documentation
 *
 * Official API for Major League Baseball.
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package models

type BatSweetSpotRestObject struct {
	Copyright string `json:"copyright,omitempty"`
	// Distance from the sweetSpot to the impact point along the bat. Negative is towards the handle of the bat, positive towards the head.
	AxialOffset float64 `json:"axialOffset,omitempty"`
	// Distance along the bat from the sweetSpot towards the head. Will be constant for all swings.
	DistanceFromHead float64 `json:"distanceFromHead,omitempty"`
	// The speed of the sweetSpot right before contact.
	SpeedBeforeImpact float64 `json:"speedBeforeImpact,omitempty"`
	// Distance from the sweetSpot to the impact point perpendicular to the bat. Negative is below the center of the bat, positive is above.
	RadialOffset float64                      `json:"radialOffset,omitempty"`
	Velocity     *BatImpactVelocityRestObject `json:"velocity,omitempty"`
}
