/*
Copyright (C) 2025 filifa

This file is part of mlbstats.

mlbstats is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

mlbstats is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
mlbstats. If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Stats API Documentation
 *
 * Official API for Major League Baseball.
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package models

type CalculatedMetricRestObject struct {
	Copyright                 string    `json:"copyright,omitempty"`
	Estimated                 bool      `json:"estimated,omitempty"`
	Group                     string    `json:"group,omitempty"`
	Name                      string    `json:"name,omitempty"`
	Value                     *JsonNode `json:"value,omitempty"`
	ValueUnrounded            string    `json:"valueUnrounded,omitempty"`
	Rank                      int32     `json:"rank,omitempty"`
	AverageValue              float64   `json:"averageValue,omitempty"`
	MinValue                  float64   `json:"minValue,omitempty"`
	MaxValue                  float64   `json:"maxValue,omitempty"`
	NumOccurrences            int32     `json:"numOccurrences,omitempty"`
	Percentile50Value         float64   `json:"percentile50Value,omitempty"`
	Percentile75Value         float64   `json:"percentile75Value,omitempty"`
	Percentile90Value         float64   `json:"percentile90Value,omitempty"`
	CompetitiveValue          float64   `json:"competitiveValue,omitempty"`
	NumCompetitiveOccurrences int32     `json:"numCompetitiveOccurrences,omitempty"`
	Unit                      string    `json:"unit,omitempty"`
	PositionId                int32     `json:"positionId,omitempty"`
	PlayerId                  int32     `json:"playerId,omitempty"`
	PlayId                    string    `json:"playId,omitempty"`
	MetricId                  int32     `json:"metricId,omitempty"`
	TimeCode                  int64     `json:"timeCode,omitempty"`
	Description               string    `json:"description,omitempty"`
	Base                      string    `json:"base,omitempty"`
	IsRadarTracked            bool      `json:"isRadarTracked,omitempty"`
	IsHeldOn                  bool      `json:"isHeldOn,omitempty"`
	IsEstimated               bool      `json:"isEstimated,omitempty"`
	SupportLevel              string    `json:"supportLevel,omitempty"`
	AdditionalFields          *JsonNode `json:"additionalFields,omitempty"`
}
