/*
Copyright (C) 2025 filifa

This file is part of mlbstats.

mlbstats is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

mlbstats is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
mlbstats. If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Stats API Documentation
 *
 * Official API for Major League Baseball.
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package models

type Details struct {
	Copyright         string                 `json:"copyright,omitempty"`
	Call              *DynamicEnumRestObject `json:"call,omitempty"`
	Description       string                 `json:"description,omitempty"`
	Event             string                 `json:"event,omitempty"`
	EventType         string                 `json:"eventType,omitempty"`
	Code              string                 `json:"code,omitempty"`
	BallColor         string                 `json:"ballColor,omitempty"`
	TrailColor        string                 `json:"trailColor,omitempty"`
	IsInPlay          bool                   `json:"isInPlay,omitempty"`
	IsStrike          bool                   `json:"isStrike,omitempty"`
	IsBall            bool                   `json:"isBall,omitempty"`
	IsBaseHit         bool                   `json:"isBaseHit,omitempty"`
	IsAtBat           bool                   `json:"isAtBat,omitempty"`
	IsPlateAppearance bool                   `json:"isPlateAppearance,omitempty"`
	Type_             *DynamicEnumRestObject `json:"type,omitempty"`
	AwayScore         int32                  `json:"awayScore,omitempty"`
	HomeScore         int32                  `json:"homeScore,omitempty"`
	IsScoringPlay     bool                   `json:"isScoringPlay,omitempty"`
	// Does the play event include an out?
	IsOut            bool                   `json:"isOut,omitempty"`
	HasReview        bool                   `json:"hasReview,omitempty"`
	FromCatcher      bool                   `json:"fromCatcher,omitempty"`
	RunnerGoing      bool                   `json:"runnerGoing,omitempty"`
	BatSide          *DynamicEnumRestObject `json:"batSide,omitempty"`
	PitchHand        *DynamicEnumRestObject `json:"pitchHand,omitempty"`
	DisengagementNum int32                  `json:"disengagementNum,omitempty"`
	Violation        *ViolationRestObject   `json:"violation,omitempty"`
}
