/*
Copyright (C) 2025 filifa

This file is part of mlbstats.

mlbstats is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

mlbstats is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
mlbstats. If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Stats API Documentation
 *
 * Official API for Major League Baseball.
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package models

type ExpandEnum string

// List of ExpandEnum
const (
	PERSON_STATS_ExpandEnum                                        ExpandEnum = "PERSON_STATS"
	PERSON_NAMES_ExpandEnum                                        ExpandEnum = "PERSON_NAMES"
	PERSON_CURRENT_TEAM_ExpandEnum                                 ExpandEnum = "PERSON_CURRENT_TEAM"
	PERSON_SOCIAL_ExpandEnum                                       ExpandEnum = "PERSON_SOCIAL"
	AWARDS_PERSON_ExpandEnum                                       ExpandEnum = "AWARDS_PERSON"
	AWARDS_TEAM_ExpandEnum                                         ExpandEnum = "AWARDS_TEAM"
	AWARDS_RESULTS_ExpandEnum                                      ExpandEnum = "AWARDS_RESULTS"
	ROSTER_PERSON_ExpandEnum                                       ExpandEnum = "ROSTER_PERSON"
	BATTING_STATS_TEAM_ExpandEnum                                  ExpandEnum = "BATTING_STATS_TEAM"
	STANDINGS_TEAM_ExpandEnum                                      ExpandEnum = "STANDINGS_TEAM"
	STANDINGS_LEAGUE_ExpandEnum                                    ExpandEnum = "STANDINGS_LEAGUE"
	STANDINGS_DIVISION_ExpandEnum                                  ExpandEnum = "STANDINGS_DIVISION"
	STANDINGS_CONFERENCE_ExpandEnum                                ExpandEnum = "STANDINGS_CONFERENCE"
	STANDINGS_RECORD_ExpandEnum                                    ExpandEnum = "STANDINGS_RECORD"
	STANDINGS_RECORD_DIVISION_ExpandEnum                           ExpandEnum = "STANDINGS_RECORD_DIVISION"
	STANDINGS_RECORD_CONFERENCE_ExpandEnum                         ExpandEnum = "STANDINGS_RECORD_CONFERENCE"
	STANDINGS_RECORD_OVERALL_ExpandEnum                            ExpandEnum = "STANDINGS_RECORD_OVERALL"
	TEAM_LEAGUE_ExpandEnum                                         ExpandEnum = "TEAM_LEAGUE"
	TEAM_STATS_ExpandEnum                                          ExpandEnum = "TEAM_STATS"
	TEAM_ROSTER_ExpandEnum                                         ExpandEnum = "TEAM_ROSTER"
	TEAM_DIVISION_ExpandEnum                                       ExpandEnum = "TEAM_DIVISION"
	TEAM_CONFERENCE_ExpandEnum                                     ExpandEnum = "TEAM_CONFERENCE"
	TEAM_FRANCHISE_ExpandEnum                                      ExpandEnum = "TEAM_FRANCHISE"
	TEAM_LEADERS_ExpandEnum                                        ExpandEnum = "TEAM_LEADERS"
	TEAM_SCHEDULE_NEXT_ExpandEnum                                  ExpandEnum = "TEAM_SCHEDULE_NEXT"
	TEAM_SCHEDULE_PREVIOUS_ExpandEnum                              ExpandEnum = "TEAM_SCHEDULE_PREVIOUS"
	TEAM_TICKET_ExpandEnum                                         ExpandEnum = "TEAM_TICKET"
	TEAM_CONTENT_HOME_ALL_ExpandEnum                               ExpandEnum = "TEAM_CONTENT_HOME_ALL"
	TEAM_RECORD_ExpandEnum                                         ExpandEnum = "TEAM_RECORD"
	TEAM_PLAYOFF_INFO_ExpandEnum                                   ExpandEnum = "TEAM_PLAYOFF_INFO"
	TEAM_NAME_ExpandEnum                                           ExpandEnum = "TEAM_NAME"
	TEAM_SOCIAL_ExpandEnum                                         ExpandEnum = "TEAM_SOCIAL"
	TEAM_DEVICE_PROPERTIES_ExpandEnum                              ExpandEnum = "TEAM_DEVICE_PROPERTIES"
	TEAM_CONTENT_SECTIONS_ExpandEnum                               ExpandEnum = "TEAM_CONTENT_SECTIONS"
	SCHEDULE_LINESCORE_ExpandEnum                                  ExpandEnum = "SCHEDULE_LINESCORE"
	SCHEDULE_SCORING_PLAYS_ExpandEnum                              ExpandEnum = "SCHEDULE_SCORING_PLAYS"
	SCHEDULE_DECISIONS_ExpandEnum                                  ExpandEnum = "SCHEDULE_DECISIONS"
	SCHEDULE_TEAM_ExpandEnum                                       ExpandEnum = "SCHEDULE_TEAM"
	SCHEDULE_TICKET_ExpandEnum                                     ExpandEnum = "SCHEDULE_TICKET"
	SCHEDULE_VENUE_ExpandEnum                                      ExpandEnum = "SCHEDULE_VENUE"
	SCHEDULE_BROADCASTS_ExpandEnum                                 ExpandEnum = "SCHEDULE_BROADCASTS"
	SCHEDULE_BROADCASTS_ALL_ExpandEnum                             ExpandEnum = "SCHEDULE_BROADCASTS_ALL"
	SCHEDULE_RADIO_BROADCASTS_ExpandEnum                           ExpandEnum = "SCHEDULE_RADIO_BROADCASTS"
	SCHEDULE_METADATA_ExpandEnum                                   ExpandEnum = "SCHEDULE_METADATA"
	SCHEDULE_GAME_CONTENT_ALL_ExpandEnum                           ExpandEnum = "SCHEDULE_GAME_CONTENT_ALL"
	SCHEDULE_GAME_CONTENT_MEDIA_ALL_ExpandEnum                     ExpandEnum = "SCHEDULE_GAME_CONTENT_MEDIA_ALL"
	SCHEDULE_GAME_CONTENT_EDITORIAL_ALL_ExpandEnum                 ExpandEnum = "SCHEDULE_GAME_CONTENT_EDITORIAL_ALL"
	SCHEDULE_GAME_CONTENT_EDITORIAL_PREVIEW_ExpandEnum             ExpandEnum = "SCHEDULE_GAME_CONTENT_EDITORIAL_PREVIEW"
	SCHEDULE_GAME_CONTENT_EDITORIAL_RECAP_ExpandEnum               ExpandEnum = "SCHEDULE_GAME_CONTENT_EDITORIAL_RECAP"
	SCHEDULE_GAME_CONTENT_EDITORIAL_ARTICLES_ExpandEnum            ExpandEnum = "SCHEDULE_GAME_CONTENT_EDITORIAL_ARTICLES"
	SCHEDULE_GAME_CONTENT_MEDIA_EPG_ExpandEnum                     ExpandEnum = "SCHEDULE_GAME_CONTENT_MEDIA_EPG"
	SCHEDULE_GAME_CONTENT_MEDIA_MILESTONES_ExpandEnum              ExpandEnum = "SCHEDULE_GAME_CONTENT_MEDIA_MILESTONES"
	SCHEDULE_GAME_CONTENT_HIGHLIGHTS_ALL_ExpandEnum                ExpandEnum = "SCHEDULE_GAME_CONTENT_HIGHLIGHTS_ALL"
	SCHEDULE_GAME_CONTENT_HIGHLIGHTS_SCOREBOARD_ExpandEnum         ExpandEnum = "SCHEDULE_GAME_CONTENT_HIGHLIGHTS_SCOREBOARD"
	SCHEDULE_GAME_CONTENT_HIGHLIGHTS_SCOREBOARD_PREVIEW_ExpandEnum ExpandEnum = "SCHEDULE_GAME_CONTENT_HIGHLIGHTS_SCOREBOARD_PREVIEW"
	SCHEDULE_GAME_CONTENT_HIGHLIGHTS_GAMECENTER_ExpandEnum         ExpandEnum = "SCHEDULE_GAME_CONTENT_HIGHLIGHTS_GAMECENTER"
	SCHEDULE_GAME_CONTENT_HIGHLIGHTS_MILESTONE_ExpandEnum          ExpandEnum = "SCHEDULE_GAME_CONTENT_HIGHLIGHTS_MILESTONE"
	SCHEDULE_GAME_SERIES_SUMMARY_ExpandEnum                        ExpandEnum = "SCHEDULE_GAME_SERIES_SUMMARY"
	SERIES_SUMMARY_SERIES_ExpandEnum                               ExpandEnum = "SERIES_SUMMARY_SERIES"
	GAME_TEAM_ExpandEnum                                           ExpandEnum = "GAME_TEAM"
	DECISIONS_PERSON_ExpandEnum                                    ExpandEnum = "DECISIONS_PERSON"
	SCORING_PLAYS_PERSON_ExpandEnum                                ExpandEnum = "SCORING_PLAYS_PERSON"
	STATS_TEAM_ExpandEnum                                          ExpandEnum = "STATS_TEAM"
	LEADERS_PERSON_ExpandEnum                                      ExpandEnum = "LEADERS_PERSON"
	LEAGUE_LEADERS_TEAM_ExpandEnum                                 ExpandEnum = "LEAGUE_LEADERS_TEAM"
)
