/*
Copyright (C) 2025 filifa

This file is part of mlbstats.

mlbstats is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

mlbstats is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
mlbstats. If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Stats API Documentation
 *
 * Official API for Major League Baseball.
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package models

type FieldingData struct {
	RequestingUserRole           *Role             `json:"requestingUserRole,omitempty"`
	Note                         string            `json:"note,omitempty"`
	Summary                      map[string]string `json:"summary,omitempty"`
	CatchersInterference         int32             `json:"catchersInterference,omitempty"`
	Average                      string            `json:"average,omitempty"`
	OnBasePercentage             string            `json:"onBasePercentage,omitempty"`
	OnBasePlusSlugging           string            `json:"onBasePlusSlugging,omitempty"`
	StolenBases                  int32             `json:"stolenBases,omitempty"`
	CaughtStealing               int32             `json:"caughtStealing,omitempty"`
	Slugging                     string            `json:"slugging,omitempty"`
	Outs                         int32             `json:"outs,omitempty"`
	Gidp                         int32             `json:"gidp,omitempty"`
	Gitp                         int32             `json:"gitp,omitempty"`
	HomeRuns                     int32             `json:"homeRuns,omitempty"`
	NumberOfPitches              int32             `json:"numberOfPitches,omitempty"`
	TotalBases                   int32             `json:"totalBases,omitempty"`
	GidpOpportunites             int32             `json:"gidpOpportunites,omitempty"`
	Walks                        int32             `json:"walks,omitempty"`
	HitByPitch                   int32             `json:"hitByPitch,omitempty"`
	Strikeouts                   int32             `json:"strikeouts,omitempty"`
	AirOuts                      int32             `json:"airOuts,omitempty"`
	GoAo                         string            `json:"goAo,omitempty"`
	PitchesPerPlateAppearance    float64           `json:"pitchesPerPlateAppearance,omitempty"`
	IntentionalWalks             int32             `json:"intentionalWalks,omitempty"`
	GroundOuts                   int32             `json:"groundOuts,omitempty"`
	FlyOuts                      int32             `json:"flyOuts,omitempty"`
	Games                        int32             `json:"games,omitempty"`
	GamesStarted                 int32             `json:"gamesStarted,omitempty"`
	Doubles                      int32             `json:"doubles,omitempty"`
	Hits                         int32             `json:"hits,omitempty"`
	Triples                      int32             `json:"triples,omitempty"`
	Singles                      int32             `json:"singles,omitempty"`
	Runs                         int32             `json:"runs,omitempty"`
	AtBats                       int32             `json:"atBats,omitempty"`
	Pickoffs                     int32             `json:"pickoffs,omitempty"`
	StolenBasePercentage         string            `json:"stolenBasePercentage,omitempty"`
	WildPitches                  int32             `json:"wildPitches,omitempty"`
	SacFlies                     int32             `json:"sacFlies,omitempty"`
	SacBunts                     int32             `json:"sacBunts,omitempty"`
	Putouts                      int32             `json:"putouts,omitempty"`
	Assists                      int32             `json:"assists,omitempty"`
	Chances                      int32             `json:"chances,omitempty"`
	Streak                       int32             `json:"streak,omitempty"`
	BattingOrder                 string            `json:"battingOrder,omitempty"`
	TotalSwings                  int32             `json:"totalSwings,omitempty"`
	SwingsAndMisses              int32             `json:"swingsAndMisses,omitempty"`
	BallsInPlay                  int32             `json:"ballsInPlay,omitempty"`
	PopOuts                      int32             `json:"popOuts,omitempty"`
	LineOuts                     int32             `json:"lineOuts,omitempty"`
	FlyHits                      int32             `json:"flyHits,omitempty"`
	PopHits                      int32             `json:"popHits,omitempty"`
	LineHits                     int32             `json:"lineHits,omitempty"`
	GroundHits                   int32             `json:"groundHits,omitempty"`
	GamesPlayedOnBothTeams       int32             `json:"gamesPlayedOnBothTeams,omitempty"`
	OutfieldAssists              int32             `json:"outfieldAssists,omitempty"`
	Errors                       int32             `json:"errors,omitempty"`
	FieldingPercentage           string            `json:"fieldingPercentage,omitempty"`
	RangeFactorPerGame           string            `json:"rangeFactorPerGame,omitempty"`
	RangeFactorPer9Inn           string            `json:"rangeFactorPer9Inn,omitempty"`
	Innings                      string            `json:"innings,omitempty"`
	PassedBall                   int32             `json:"passedBall,omitempty"`
	DoublePlays                  int32             `json:"doublePlays,omitempty"`
	TriplePlays                  int32             `json:"triplePlays,omitempty"`
	CatcherERA                   string            `json:"catcherERA,omitempty"`
	ThrowingErrors               int32             `json:"throwingErrors,omitempty"`
	Uzr                          float64           `json:"uzr,omitempty"`
	Position                     *BaseballPosition `json:"position,omitempty"`
	PlateAppearances             int32             `json:"plateAppearances,omitempty"`
	PitchesPerPlateAppearanceStr string            `json:"pitchesPerPlateAppearanceStr,omitempty"`
	StolenBasePercentageOrNull   string            `json:"stolenBasePercentageOrNull,omitempty"`
	UserPrivileges               []Privilege       `json:"userPrivileges,omitempty"`
}
