/*
Copyright (C) 2025 filifa

This file is part of mlbstats.

mlbstats is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

mlbstats is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
mlbstats. If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Stats API Documentation
 *
 * Official API for Major League Baseball.
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package models

import (
	"time"
)

type GameDateBroadcastRestObject struct {
	Id                    int32                            `json:"id,omitempty"`
	Name                  string                           `json:"name,omitempty"`
	Type_                 string                           `json:"type,omitempty"`
	Site                  string                           `json:"site,omitempty"`
	Language              string                           `json:"language,omitempty"`
	Copyright             string                           `json:"copyright,omitempty"`
	IsNational            bool                             `json:"isNational,omitempty"`
	SourceUrl             string                           `json:"sourceUrl,omitempty"`
	CallSign              string                           `json:"callSign,omitempty"`
	VideoResolution       *VideoResolutionEnumRestObject   `json:"videoResolution,omitempty"`
	Availability          *BroadcastAvailabilityRestObject `json:"availability,omitempty"`
	XrefIds               []XrefIdRestObject               `json:"xrefIds,omitempty"`
	SourceComment         string                           `json:"sourceComment,omitempty"`
	MediaState            *MediaStateRestObject            `json:"mediaState,omitempty"`
	BroadcastDate         string                           `json:"broadcastDate,omitempty"`
	MediaId               string                           `json:"mediaId,omitempty"`
	GameDateBroadcastGuid string                           `json:"gameDateBroadcastGuid,omitempty"`
	HomeAway              string                           `json:"homeAway,omitempty"`
	FreeGame              bool                             `json:"freeGame,omitempty"`
	AvailableForStreaming bool                             `json:"availableForStreaming,omitempty"`
	PreGameShow           time.Time                        `json:"preGameShow,omitempty"`
	PostGameShow          bool                             `json:"postGameShow,omitempty"`
	MvpdAuthRequired      bool                             `json:"mvpdAuthRequired,omitempty"`
	FreeGameStatus        bool                             `json:"freeGameStatus,omitempty"`
	FreeGameTypes         []FreeGameValueRestObject        `json:"freeGameTypes,omitempty"`
}
