/*
Copyright (C) 2025 filifa

This file is part of mlbstats.

mlbstats is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

mlbstats is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
mlbstats. If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Stats API Documentation
 *
 * Official API for Major League Baseball.
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package models

type GamePaceRestObject struct {
	Copyright                      string                      `json:"copyright,omitempty"`
	Hydrations                     []string                    `json:"hydrations,omitempty"`
	HitsPer9Inn                    float64                     `json:"hitsPer9Inn,omitempty"`
	RunsPer9Inn                    float64                     `json:"runsPer9Inn,omitempty"`
	PitchesPer9Inn                 float64                     `json:"pitchesPer9Inn,omitempty"`
	PlateAppearancesPer9Inn        float64                     `json:"plateAppearancesPer9Inn,omitempty"`
	HitsPerGame                    float64                     `json:"hitsPerGame,omitempty"`
	RunsPerGame                    float64                     `json:"runsPerGame,omitempty"`
	InningsPlayedPerGame           float64                     `json:"inningsPlayedPerGame,omitempty"`
	PitchesPerGame                 float64                     `json:"pitchesPerGame,omitempty"`
	PitchersPerGame                float64                     `json:"pitchersPerGame,omitempty"`
	PlateAppearancesPerGame        float64                     `json:"plateAppearancesPerGame,omitempty"`
	TotalGameTime                  *Duration                   `json:"totalGameTime,omitempty"`
	TotalInningsPlayed             float64                     `json:"totalInningsPlayed,omitempty"`
	TotalHits                      int32                       `json:"totalHits,omitempty"`
	TotalRuns                      int32                       `json:"totalRuns,omitempty"`
	TotalPlateAppearances          int32                       `json:"totalPlateAppearances,omitempty"`
	TotalPitchers                  int32                       `json:"totalPitchers,omitempty"`
	TotalPitches                   int32                       `json:"totalPitches,omitempty"`
	TotalGames                     int32                       `json:"totalGames,omitempty"`
	Total7InnGames                 int32                       `json:"total7InnGames,omitempty"`
	Total9InnGames                 int32                       `json:"total9InnGames,omitempty"`
	TotalExtraInnGames             int32                       `json:"totalExtraInnGames,omitempty"`
	TimePerGame                    *Duration                   `json:"timePerGame,omitempty"`
	TimePerPitch                   *Duration                   `json:"timePerPitch,omitempty"`
	TimePerHit                     *Duration                   `json:"timePerHit,omitempty"`
	TimePerRun                     *Duration                   `json:"timePerRun,omitempty"`
	TimePerPlateAppearance         *Duration                   `json:"timePerPlateAppearance,omitempty"`
	TimePer9Inn                    *Duration                   `json:"timePer9Inn,omitempty"`
	TimePer77PlateAppearances      *Duration                   `json:"timePer77PlateAppearances,omitempty"`
	TotalExtraInnTime              *Duration                   `json:"totalExtraInnTime,omitempty"`
	TimePer7InnGame                *Duration                   `json:"timePer7InnGame,omitempty"`
	TimePer7InnGameWithoutExtraInn *Duration                   `json:"timePer7InnGameWithoutExtraInn,omitempty"`
	Total7InnGamesScheduled        int32                       `json:"total7InnGamesScheduled,omitempty"`
	Total7InnGamesCompletedEarly   int32                       `json:"total7InnGamesCompletedEarly,omitempty"`
	Total7InnGamesWithoutExtraInn  int32                       `json:"total7InnGamesWithoutExtraInn,omitempty"`
	Total9InnGamesCompletedEarly   int32                       `json:"total9InnGamesCompletedEarly,omitempty"`
	Total9InnGamesWithoutExtraInn  int32                       `json:"total9InnGamesWithoutExtraInn,omitempty"`
	Total9InnGamesScheduled        int32                       `json:"total9InnGamesScheduled,omitempty"`
	HitsPerRun                     float64                     `json:"hitsPerRun,omitempty"`
	PitchesPerPitcher              float64                     `json:"pitchesPerPitcher,omitempty"`
	Season                         string                      `json:"season,omitempty"`
	Team                           *BaseballTeamRestObject     `json:"team,omitempty"`
	League                         *LeagueRestObject           `json:"league,omitempty"`
	Sport                          *SportRestObject            `json:"sport,omitempty"`
	PrPortalCalculatedFields       *GamePacePrPortalRestObject `json:"prPortalCalculatedFields,omitempty"`
}
