/*
Copyright (C) 2025 filifa

This file is part of mlbstats.

mlbstats is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

mlbstats is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
mlbstats. If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Stats API Documentation
 *
 * Official API for Major League Baseball.
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package models

import (
	"time"
)

type GameTo struct {
	GameStatusDetail    string    `json:"gameStatusDetail,omitempty"`
	AwayHolds           []int32   `json:"awayHolds,omitempty"`
	HomeHolds           []int32   `json:"homeHolds,omitempty"`
	AwayBlownSaves      []int32   `json:"awayBlownSaves,omitempty"`
	HomeBlownSaves      []int32   `json:"homeBlownSaves,omitempty"`
	GameMinutes         int32     `json:"gameMinutes,omitempty"`
	FirstPitchTimeUTC   time.Time `json:"firstPitchTimeUTC,omitempty"`
	FirstPitchTime      string    `json:"firstPitchTime,omitempty"`
	TotalMinutes        int32     `json:"totalMinutes,omitempty"`
	DelayMinutes        int32     `json:"delayMinutes,omitempty"`
	GamePk              int32     `json:"game_pk,omitempty"`
	Attendance          int32     `json:"attendance,omitempty"`
	WindDirection       string    `json:"wind_direction,omitempty"`
	WindSpeed           string    `json:"wind_speed,omitempty"`
	Sky                 string    `json:"sky,omitempty"`
	Temperature         string    `json:"temperature,omitempty"`
	GameStatusInd       string    `json:"game_status_ind,omitempty"`
	DelayReason         string    `json:"delay_reason,omitempty"`
	OfficialScorer      int32     `json:"official_scorer,omitempty"`
	PrimaryDatacaster   int32     `json:"primary_datacaster,omitempty"`
	SecondaryDatacaster int32     `json:"secondary_datacaster,omitempty"`
}
