/*
Copyright (C) 2025 filifa

This file is part of mlbstats.

mlbstats is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

mlbstats is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
mlbstats. If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Stats API Documentation
 *
 * Official API for Major League Baseball.
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package models

type GroupByEnum string

// List of GroupByEnum
const (
	PLAYER_GroupByEnum              GroupByEnum = "PLAYER"
	PITCHER_GroupByEnum             GroupByEnum = "PITCHER"
	BATTER_GroupByEnum              GroupByEnum = "BATTER"
	VENUE_GroupByEnum               GroupByEnum = "VENUE"
	TEAM_GroupByEnum                GroupByEnum = "TEAM"
	BATTING_TEAM_GroupByEnum        GroupByEnum = "BATTING_TEAM"
	FIELDING_TEAM_GroupByEnum       GroupByEnum = "FIELDING_TEAM"
	SPORT_GroupByEnum               GroupByEnum = "SPORT"
	BATTING_SPORT_GroupByEnum       GroupByEnum = "BATTING_SPORT"
	FIELDING_SPORT_GroupByEnum      GroupByEnum = "FIELDING_SPORT"
	LEAGUE_GroupByEnum              GroupByEnum = "LEAGUE"
	BATTING_LEAGUE_GroupByEnum      GroupByEnum = "BATTING_LEAGUE"
	FIELDING_LEAGUE_GroupByEnum     GroupByEnum = "FIELDING_LEAGUE"
	DIVISION_GroupByEnum            GroupByEnum = "DIVISION"
	BATTING_DIVISION_GroupByEnum    GroupByEnum = "BATTING_DIVISION"
	FIELDING_DIVISION_GroupByEnum   GroupByEnum = "FIELDING_DIVISION"
	SEASON_GroupByEnum              GroupByEnum = "SEASON"
	POSITION_GroupByEnum            GroupByEnum = "POSITION"
	STAT_GROUP_GroupByEnum          GroupByEnum = "STAT_GROUP"
	GAME_GroupByEnum                GroupByEnum = "GAME"
	PITCH_TYPE_GroupByEnum          GroupByEnum = "PITCH_TYPE"
	EVENT_TYPE_GroupByEnum          GroupByEnum = "EVENT_TYPE"
	PITCH_CODE_GroupByEnum          GroupByEnum = "PITCH_CODE"
	BATTING_ORDER_GroupByEnum       GroupByEnum = "BATTING_ORDER"
	PITCH_HAND_GroupByEnum          GroupByEnum = "PITCH_HAND"
	BAT_SIDE_GroupByEnum            GroupByEnum = "BAT_SIDE"
	MONTH_GroupByEnum               GroupByEnum = "MONTH"
	DAY_OF_WEEK_GroupByEnum         GroupByEnum = "DAY_OF_WEEK"
	DAY_NIGHT_GroupByEnum           GroupByEnum = "DAY_NIGHT"
	GAME_TYPE_GroupByEnum           GroupByEnum = "GAME_TYPE"
	HOME_AWAY_GroupByEnum           GroupByEnum = "HOME_AWAY"
	BASE_STATE_GroupByEnum          GroupByEnum = "BASE_STATE"
	RISP_GroupByEnum                GroupByEnum = "RISP"
	INNING_GroupByEnum              GroupByEnum = "INNING"
	COUNT_BALLS_GroupByEnum         GroupByEnum = "COUNT_BALLS"
	COUNT_STRIKES_GroupByEnum       GroupByEnum = "COUNT_STRIKES"
	COUNT_OUTS_GroupByEnum          GroupByEnum = "COUNT_OUTS"
	HIT_TRAJECTORY_GroupByEnum      GroupByEnum = "HIT_TRAJECTORY"
	PITCH_NUMBER_GroupByEnum        GroupByEnum = "PITCH_NUMBER"
	AT_BAT_NUMBER_GroupByEnum       GroupByEnum = "AT_BAT_NUMBER"
	RUNNER_FIRST_GroupByEnum        GroupByEnum = "RUNNER_FIRST"
	RUNNER_SECOND_GroupByEnum       GroupByEnum = "RUNNER_SECOND"
	RUNNER_THIRD_GroupByEnum        GroupByEnum = "RUNNER_THIRD"
	CATCHER_GroupByEnum             GroupByEnum = "CATCHER"
	FIRST_BASEMAN_GroupByEnum       GroupByEnum = "FIRST_BASEMAN"
	SECOND_BASEMAN_GroupByEnum      GroupByEnum = "SECOND_BASEMAN"
	SHORTSTOP_GroupByEnum           GroupByEnum = "SHORTSTOP"
	THIRD_BASEMAN_GroupByEnum       GroupByEnum = "THIRD_BASEMAN"
	LEFT_FIELDER_GroupByEnum        GroupByEnum = "LEFT_FIELDER"
	CENTER_FIELDER_GroupByEnum      GroupByEnum = "CENTER_FIELDER"
	RIGHT_FIELDER_GroupByEnum       GroupByEnum = "RIGHT_FIELDER"
	DESIGNATED_HITTER_GroupByEnum   GroupByEnum = "DESIGNATED_HITTER"
	DEFENSIVE_ALIGNMENT_GroupByEnum GroupByEnum = "DEFENSIVE_ALIGNMENT"
	SITUATION_CODE_GroupByEnum      GroupByEnum = "SITUATION_CODE"
	OPPONENT_TEAM_GroupByEnum       GroupByEnum = "OPPONENT_TEAM"
	HIT_DIRECTION_GroupByEnum       GroupByEnum = "HIT_DIRECTION"
	PITCH_ZONE_GroupByEnum          GroupByEnum = "PITCH_ZONE"
	DATE_GroupByEnum                GroupByEnum = "DATE"
)
