/*
Copyright (C) 2025 filifa

This file is part of mlbstats.

mlbstats is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

mlbstats is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
mlbstats. If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Stats API Documentation
 *
 * Official API for Major League Baseball.
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package models

type HighLowStatEnum string

// List of HighLowStatEnum
const (
	AT_BATS_HighLowStatEnum                  HighLowStatEnum = "AT_BATS"
	TOTAL_PLATE_APPEARANCES_HighLowStatEnum  HighLowStatEnum = "TOTAL_PLATE_APPEARANCES"
	RUNS_HighLowStatEnum                     HighLowStatEnum = "RUNS"
	RUNS_BATTED_IN_HighLowStatEnum           HighLowStatEnum = "RUNS_BATTED_IN"
	HOME_TEAM_RUNS_HighLowStatEnum           HighLowStatEnum = "HOME_TEAM_RUNS"
	AWAY_TEAM_RUNS_HighLowStatEnum           HighLowStatEnum = "AWAY_TEAM_RUNS"
	HITS_HighLowStatEnum                     HighLowStatEnum = "HITS"
	HITS_RISP_HighLowStatEnum                HighLowStatEnum = "HITS_RISP"
	HOME_TEAM_HITS_HighLowStatEnum           HighLowStatEnum = "HOME_TEAM_HITS"
	AWAY_TEAM_HITS_HighLowStatEnum           HighLowStatEnum = "AWAY_TEAM_HITS"
	TOTAL_BASES_HighLowStatEnum              HighLowStatEnum = "TOTAL_BASES"
	DOUBLES_HighLowStatEnum                  HighLowStatEnum = "DOUBLES"
	TRIPLES_HighLowStatEnum                  HighLowStatEnum = "TRIPLES"
	HOME_RUNS_HighLowStatEnum                HighLowStatEnum = "HOME_RUNS"
	EXTRA_BASE_HITS_HighLowStatEnum          HighLowStatEnum = "EXTRA_BASE_HITS"
	WALKS_HighLowStatEnum                    HighLowStatEnum = "WALKS"
	STRIKEOUTS_HighLowStatEnum               HighLowStatEnum = "STRIKEOUTS"
	STOLEN_BASES_HighLowStatEnum             HighLowStatEnum = "STOLEN_BASES"
	CAUGHT_STEALING_HighLowStatEnum          HighLowStatEnum = "CAUGHT_STEALING"
	SACRIFICE_FLIES_HighLowStatEnum          HighLowStatEnum = "SACRIFICE_FLIES"
	SACRIFICE_BUNTS_HighLowStatEnum          HighLowStatEnum = "SACRIFICE_BUNTS"
	HIT_BY_PITCHES_HighLowStatEnum           HighLowStatEnum = "HIT_BY_PITCHES"
	LEFT_ON_BASE_HighLowStatEnum             HighLowStatEnum = "LEFT_ON_BASE"
	GROUND_INTO_DOUBLE_PLAYS_HighLowStatEnum HighLowStatEnum = "GROUND_INTO_DOUBLE_PLAYS"
	STRIKES_HighLowStatEnum                  HighLowStatEnum = "STRIKES"
	PITCHES_HighLowStatEnum                  HighLowStatEnum = "PITCHES"
	BALKS_HighLowStatEnum                    HighLowStatEnum = "BALKS"
	INNINGS_PITCHED_HighLowStatEnum          HighLowStatEnum = "INNINGS_PITCHED"
	ERRORS_HighLowStatEnum                   HighLowStatEnum = "ERRORS"
	HOME_TEAM_ERRORS_HighLowStatEnum         HighLowStatEnum = "HOME_TEAM_ERRORS"
	AWAY_TEAM_ERRORS_HighLowStatEnum         HighLowStatEnum = "AWAY_TEAM_ERRORS"
	CHANCES_HighLowStatEnum                  HighLowStatEnum = "CHANCES"
	PUT_OUTS_HighLowStatEnum                 HighLowStatEnum = "PUT_OUTS"
	ASSISTS_HighLowStatEnum                  HighLowStatEnum = "ASSISTS"
	DOUBLE_PLAYS_HighLowStatEnum             HighLowStatEnum = "DOUBLE_PLAYS"
	ATTENDANCE_HighLowStatEnum               HighLowStatEnum = "ATTENDANCE"
	GAME_TIME_HighLowStatEnum                HighLowStatEnum = "GAME_TIME"
	DELAY_TIME_HighLowStatEnum               HighLowStatEnum = "DELAY_TIME"
	LONGEST_HighLowStatEnum                  HighLowStatEnum = "LONGEST"
	SHORTEST_HighLowStatEnum                 HighLowStatEnum = "SHORTEST"
	INNING_HighLowStatEnum                   HighLowStatEnum = "INNING"
	WIN_STREAK_HighLowStatEnum               HighLowStatEnum = "WIN_STREAK"
	LOSS_STREAK_HighLowStatEnum              HighLowStatEnum = "LOSS_STREAK"
)
