/*
Copyright (C) 2025 filifa

This file is part of mlbstats.

mlbstats is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

mlbstats is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
mlbstats. If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Stats API Documentation
 *
 * Official API for Major League Baseball.
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package models

type LeagueRestObject struct {
	Copyright        string                   `json:"copyright,omitempty"`
	Id               int32                    `json:"id,omitempty"`
	Name             string                   `json:"name,omitempty"`
	Link             string                   `json:"link,omitempty"`
	Abbreviation     string                   `json:"abbreviation,omitempty"`
	NameShort        string                   `json:"nameShort,omitempty"`
	SeasonState      string                   `json:"seasonState,omitempty"`
	HasWildCard      bool                     `json:"hasWildCard,omitempty"`
	HasSplitSeason   bool                     `json:"hasSplitSeason,omitempty"`
	NumGames         int32                    `json:"numGames,omitempty"`
	HasPlayoffPoints bool                     `json:"hasPlayoffPoints,omitempty"`
	NumTeams         int32                    `json:"numTeams,omitempty"`
	NumWildcardTeams int32                    `json:"numWildcardTeams,omitempty"`
	SeasonDateInfo   *SeasonRestObject        `json:"seasonDateInfo,omitempty"`
	Season           string                   `json:"season,omitempty"`
	OrgCode          string                   `json:"orgCode,omitempty"`
	ConferencesInUse bool                     `json:"conferencesInUse,omitempty"`
	DivisionsInUse   bool                     `json:"divisionsInUse,omitempty"`
	Sport            *SportRestObject         `json:"sport,omitempty"`
	TimeZone         *TimeZoneRestObject      `json:"timeZone,omitempty"`
	SortOrder        int32                    `json:"sortOrder,omitempty"`
	Active           bool                     `json:"active,omitempty"`
	IsAffiliated     bool                     `json:"isAffiliated,omitempty"`
	RuleSettings     []RuleSettingsRestObject `json:"ruleSettings,omitempty"`
}
