/*
Copyright (C) 2025 filifa

This file is part of mlbstats.

mlbstats is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

mlbstats is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
mlbstats. If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Stats API Documentation
 *
 * Official API for Major League Baseball.
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package models

type LocationRestObject struct {
	Copyright          string                 `json:"copyright,omitempty"`
	Address1           string                 `json:"address1,omitempty"`
	Address2           string                 `json:"address2,omitempty"`
	Address3           string                 `json:"address3,omitempty"`
	Address4           string                 `json:"address4,omitempty"`
	City               string                 `json:"city,omitempty"`
	State              string                 `json:"state,omitempty"`
	StateAbbrev        string                 `json:"stateAbbrev,omitempty"`
	PostalCode         string                 `json:"postalCode,omitempty"`
	DefaultCoordinates *CoordinateRestObject  `json:"defaultCoordinates,omitempty"`
	Coordinates        []CoordinateRestObject `json:"coordinates,omitempty"`
	AzimuthAngle       float64                `json:"azimuthAngle,omitempty"`
	Elevation          int32                  `json:"elevation,omitempty"`
	Country            string                 `json:"country,omitempty"`
	Phone              string                 `json:"phone,omitempty"`
}
