/*
Copyright (C) 2025 filifa

This file is part of mlbstats.

mlbstats is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

mlbstats is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
mlbstats. If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Stats API Documentation
 *
 * Official API for Major League Baseball.
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package models

type MilestoneRestObject struct {
	Copyright               string                                `json:"copyright,omitempty"`
	MilestoneAchievementId  int32                                 `json:"milestoneAchievementId,omitempty"`
	MilestoneProjectionId   int32                                 `json:"milestoneProjectionId,omitempty"`
	ProjectionValue         int32                                 `json:"projectionValue,omitempty"`
	ProjectionRank          int32                                 `json:"projectionRank,omitempty"`
	CurrentValue            int32                                 `json:"currentValue,omitempty"`
	AchievementValue        int32                                 `json:"achievementValue,omitempty"`
	AchievementRank         int32                                 `json:"achievementRank,omitempty"`
	AchievementDate         string                                `json:"achievementDate,omitempty"`
	IsLastAchievementStatus bool                                  `json:"isLastAchievementStatus,omitempty"`
	GameId                  int32                                 `json:"gameId,omitempty"`
	PlayId                  string                                `json:"playId,omitempty"`
	AtBatNumber             int32                                 `json:"atBatNumber,omitempty"`
	PitchNumber             int32                                 `json:"pitchNumber,omitempty"`
	Player                  *BaseballPersonRestObject             `json:"player,omitempty"`
	Team                    *BaseballTeamRestObject               `json:"team,omitempty"`
	OrganizationId          int32                                 `json:"organizationId,omitempty"`
	AchievementStatus       *MilestoneAchievementStatusRestObject `json:"achievementStatus,omitempty"`
	MilestoneRule           *MilestoneRuleRestObject              `json:"milestoneRule,omitempty"`
	RuleCount               int32                                 `json:"ruleCount,omitempty"`
	StatDifference          int32                                 `json:"statDifference,omitempty"`
}
