/*
Copyright (C) 2025 filifa

This file is part of mlbstats.

mlbstats is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

mlbstats is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
mlbstats. If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Stats API Documentation
 *
 * Official API for Major League Baseball.
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package models

type PitchCode string

// List of PitchCode
const (
	UNKNOWN_PitchCode                                      PitchCode = "UNKNOWN"
	BALL_PitchCode                                         PitchCode = "BALL"
	BLOCKED_BALL_PitchCode                                 PitchCode = "BLOCKED_BALL"
	INTENT_BALL_PitchCode                                  PitchCode = "INTENT_BALL"
	PITCHOUT_PitchCode                                     PitchCode = "PITCHOUT"
	HIT_BY_PITCH_PitchCode                                 PitchCode = "HIT_BY_PITCH"
	AUTOMATIC_BALL_PitchCode                               PitchCode = "AUTOMATIC_BALL"
	CALLED_STRIKE_PitchCode                                PitchCode = "CALLED_STRIKE"
	SWINGING_STRIKE_PitchCode                              PitchCode = "SWINGING_STRIKE"
	SWINGING_STRIKE_BLOCKED_PitchCode                      PitchCode = "SWINGING_STRIKE_BLOCKED"
	FOUL_PitchCode                                         PitchCode = "FOUL"
	FOUL_TIP_PitchCode                                     PitchCode = "FOUL_TIP"
	UNKNOWN_STRIKE_PitchCode                               PitchCode = "UNKNOWN_STRIKE"
	MISSED_BUNT_PitchCode                                  PitchCode = "MISSED_BUNT"
	FOUL_BUNT_PitchCode                                    PitchCode = "FOUL_BUNT"
	BUNT_FOUL_TIP_PitchCode                                PitchCode = "BUNT_FOUL_TIP"
	SWINGING_PITCHOUT_PitchCode                            PitchCode = "SWINGING_PITCHOUT"
	FOUL_PITCHOUT_PitchCode                                PitchCode = "FOUL_PITCHOUT"
	AUTOMATIC_STRIKE_PitchCode                             PitchCode = "AUTOMATIC_STRIKE"
	HIT_INTO_PLAY_PitchCode                                PitchCode = "HIT_INTO_PLAY"
	HIT_INTO_PLAY_NO_OUT_PitchCode                         PitchCode = "HIT_INTO_PLAY_NO_OUT"
	HIT_INTO_PLAY_SCORE_PitchCode                          PitchCode = "HIT_INTO_PLAY_SCORE"
	PITCHOUT_HIT_INTO_PLAY_PitchCode                       PitchCode = "PITCHOUT_HIT_INTO_PLAY"
	PITCHOUT_HIT_INTO_PLAY_NO_OUT_PitchCode                PitchCode = "PITCHOUT_HIT_INTO_PLAY_NO_OUT"
	PITCHOUT_HIT_INTO_PLAY_SCORE_PitchCode                 PitchCode = "PITCHOUT_HIT_INTO_PLAY_SCORE"
	AUTOMATIC_BALL_INTENTIONAL_PitchCode                   PitchCode = "AUTOMATIC_BALL_INTENTIONAL"
	AUTOMATIC_BALL_PITCHER_PITCH_TIMER_VIOLATION_PitchCode PitchCode = "AUTOMATIC_BALL_PITCHER_PITCH_TIMER_VIOLATION"
	AUTOMATIC_BALL_CATCHER_PITCH_TIMER_VIOLATION_PitchCode PitchCode = "AUTOMATIC_BALL_CATCHER_PITCH_TIMER_VIOLATION"
	AUTOMATIC_BALL_DEF_SHIFT_VIOLATION_PitchCode           PitchCode = "AUTOMATIC_BALL_DEF_SHIFT_VIOLATION"
	AUTOMATIC_STRIKE_PITCH_TIMER_VIOLATION_PitchCode       PitchCode = "AUTOMATIC_STRIKE_PITCH_TIMER_VIOLATION"
	AUTOMATIC_STRIKE_BATTER_TIMEOUT_VIOLATION_PitchCode    PitchCode = "AUTOMATIC_STRIKE_BATTER_TIMEOUT_VIOLATION"
)
