/*
Copyright (C) 2025 filifa

This file is part of mlbstats.

mlbstats is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

mlbstats is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
mlbstats. If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Stats API Documentation
 *
 * Official API for Major League Baseball.
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package models

type RuleSettings struct {
	PlaySettingId       int32                `json:"playSettingId,omitempty"`
	SettingId           int32                `json:"settingId,omitempty"`
	SettingName         string               `json:"settingName,omitempty"`
	SettingDisplayName  string               `json:"settingDisplayName,omitempty"`
	SettingCategoryId   int32                `json:"settingCategoryId,omitempty"`
	SettingCategory     string               `json:"settingCategory,omitempty"`
	SettingCategoryCode string               `json:"settingCategoryCode,omitempty"`
	SettingDescription  string               `json:"settingDescription,omitempty"`
	SettingIsPublic     bool                 `json:"settingIsPublic,omitempty"`
	ValueType           string               `json:"valueType,omitempty"`
	SettingValue        *interface{}         `json:"settingValue,omitempty"`
	SettingScope        string               `json:"settingScope,omitempty"`
	SettingOptions      []RuleSettingsOption `json:"settingOptions,omitempty"`
	PriorityOverride    int32                `json:"priorityOverride,omitempty"`
	StartDate           string               `json:"startDate,omitempty"`
	EndDate             string               `json:"endDate,omitempty"`
	Inherited           bool                 `json:"inherited,omitempty"`
	GameType            string               `json:"gameType,omitempty"`
	AllGameTypeStatus   bool                 `json:"allGameTypeStatus,omitempty"`
	Sport               *Sport               `json:"sport,omitempty"`
	League              *League              `json:"league,omitempty"`
	Venue               *Venue               `json:"venue,omitempty"`
	GamePk              int32                `json:"gamePk,omitempty"`
	ScheduleEvent       *ScheduleEvent       `json:"scheduleEvent,omitempty"`
	SortOrder           int32                `json:"sortOrder,omitempty"`
	UserHasPermission   bool                 `json:"userHasPermission,omitempty"`
}
