/*
Copyright (C) 2025 filifa

This file is part of mlbstats.

mlbstats is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

mlbstats is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
mlbstats. If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Stats API Documentation
 *
 * Official API for Major League Baseball.
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package models

type Sport struct {
	RequestingUserRole       *Role                  `json:"requestingUserRole,omitempty"`
	Id                       int32                  `json:"id,omitempty"`
	Code                     string                 `json:"code,omitempty"`
	Name                     string                 `json:"name,omitempty"`
	Abbreviation             string                 `json:"abbreviation,omitempty"`
	SortOrder                int32                  `json:"sortOrder,omitempty"`
	DeviceProperties         *JsonNode              `json:"deviceProperties,omitempty"`
	RuleSettings             []RuleSettings         `json:"ruleSettings,omitempty"`
	SeasonState              string                 `json:"seasonState,omitempty"`
	SeasonDateInfo           *Season                `json:"seasonDateInfo,omitempty"`
	HydratedRuleSettings     map[string]interface{} `json:"hydratedRuleSettings,omitempty"`
	HydratedSeason           map[string]interface{} `json:"hydratedSeason,omitempty"`
	ActiveStatus             string                 `json:"activeStatus,omitempty"`
	Affiliated               bool                   `json:"affiliated,omitempty"`
	SportActive              bool                   `json:"sportActive,omitempty"`
	HydratedDeviceProperties map[string]interface{} `json:"hydratedDeviceProperties,omitempty"`
	UserPrivileges           []Privilege            `json:"userPrivileges,omitempty"`
}
