/*
Copyright (C) 2025 filifa

This file is part of mlbstats.

mlbstats is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

mlbstats is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
mlbstats. If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Stats API Documentation
 *
 * Official API for Major League Baseball.
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package models

type SportRestObject struct {
	Copyright        string                   `json:"copyright,omitempty"`
	Hydrations       []string                 `json:"hydrations,omitempty"`
	Id               int32                    `json:"id,omitempty"`
	Code             string                   `json:"code,omitempty"`
	Link             string                   `json:"link,omitempty"`
	Name             string                   `json:"name,omitempty"`
	Abbreviation     string                   `json:"abbreviation,omitempty"`
	SortOrder        int32                    `json:"sortOrder,omitempty"`
	DeviceProperties *JsonNode                `json:"deviceProperties,omitempty"`
	IsAffiliated     bool                     `json:"isAffiliated,omitempty"`
	RuleSettings     []RuleSettingsRestObject `json:"ruleSettings,omitempty"`
	SeasonState      string                   `json:"seasonState,omitempty"`
	SeasonDateInfo   *SeasonRestObject        `json:"seasonDateInfo,omitempty"`
	ActiveStatus     bool                     `json:"activeStatus,omitempty"`
}
