/*
Copyright (C) 2025 filifa

This file is part of mlbstats.

mlbstats is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

mlbstats is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
mlbstats. If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Stats API Documentation
 *
 * Official API for Major League Baseball.
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package models

type StatType string

// List of StatType
const (
	PROJECTED_StatType                    StatType = "PROJECTED"
	PROJECTED_ROS_StatType                StatType = "PROJECTED_ROS"
	YEAR_BY_YEAR_StatType                 StatType = "YEAR_BY_YEAR"
	YEAR_BY_YEAR_ADVANCED_StatType        StatType = "YEAR_BY_YEAR_ADVANCED"
	YEAR_BY_YEAR_PLAYOFFS_StatType        StatType = "YEAR_BY_YEAR_PLAYOFFS"
	SEASON_StatType                       StatType = "SEASON"
	STANDARD_StatType                     StatType = "STANDARD"
	ADVANCED_StatType                     StatType = "ADVANCED"
	CAREER_StatType                       StatType = "CAREER"
	CAREER_REGULAR_SEASON_StatType        StatType = "CAREER_REGULAR_SEASON"
	CAREER_ADVANCED_StatType              StatType = "CAREER_ADVANCED"
	SEASON_ADVANCED_StatType              StatType = "SEASON_ADVANCED"
	CAREER_STAT_SPLITS_StatType           StatType = "CAREER_STAT_SPLITS"
	CAREER_PLAYOFFS_StatType              StatType = "CAREER_PLAYOFFS"
	GAME_LOG_StatType                     StatType = "GAME_LOG"
	PLAY_LOG_StatType                     StatType = "PLAY_LOG"
	PITCH_LOG_StatType                    StatType = "PITCH_LOG"
	METRIC_LOG_StatType                   StatType = "METRIC_LOG"
	METRIC_AVERAGES_StatType              StatType = "METRIC_AVERAGES"
	PITCH_ARSENAL_StatType                StatType = "PITCH_ARSENAL"
	OUTS_ABOVE_AVERAGE_StatType           StatType = "OUTS_ABOVE_AVERAGE"
	EXPECTED_STATISTICS_StatType          StatType = "EXPECTED_STATISTICS"
	SABERMETRICS_StatType                 StatType = "SABERMETRICS"
	SPRAY_CHART_StatType                  StatType = "SPRAY_CHART"
	TRACKING_STATISTICS_StatType          StatType = "TRACKING_STATISTICS"
	VS_PLAYER_StatType                    StatType = "VS_PLAYER"
	VS_PLAYER_TOTAL_StatType              StatType = "VS_PLAYER_TOTAL"
	VS_PLAYER_5_Y_StatType                StatType = "VS_PLAYER_5Y"
	VS_TEAM_StatType                      StatType = "VS_TEAM"
	VS_TEAM_5_Y_StatType                  StatType = "VS_TEAM_5Y"
	VS_TEAM_TOTAL_StatType                StatType = "VS_TEAM_TOTAL"
	LAST_X_GAMES_StatType                 StatType = "LAST_X_GAMES"
	BY_DATE_RANGE_StatType                StatType = "BY_DATE_RANGE"
	BY_DATE_RANGE_ADVANCED_StatType       StatType = "BY_DATE_RANGE_ADVANCED"
	BY_MONTH_StatType                     StatType = "BY_MONTH"
	BY_MONTH_PLAYOFFS_StatType            StatType = "BY_MONTH_PLAYOFFS"
	BY_DAY_OF_WEEK_StatType               StatType = "BY_DAY_OF_WEEK"
	BY_DAY_OF_WEEK_PLAYOFFS_StatType      StatType = "BY_DAY_OF_WEEK_PLAYOFFS"
	HOME_AND_AWAY_StatType                StatType = "HOME_AND_AWAY"
	HOME_AND_AWAY_PLAYOFFS_StatType       StatType = "HOME_AND_AWAY_PLAYOFFS"
	WIN_LOSS_StatType                     StatType = "WIN_LOSS"
	WIN_LOSS_PLAYOFFS_StatType            StatType = "WIN_LOSS_PLAYOFFS"
	RANKINGS_StatType                     StatType = "RANKINGS"
	RANKINGS_BY_YEAR_StatType             StatType = "RANKINGS_BY_YEAR"
	STATS_SINGLE_SEASON_StatType          StatType = "STATS_SINGLE_SEASON"
	STATS_SINGLE_SEASON_ADVANCED_StatType StatType = "STATS_SINGLE_SEASON_ADVANCED"
	HOT_COLD_ZONES_StatType               StatType = "HOT_COLD_ZONES"
	AVAILABLE_STATS_StatType              StatType = "AVAILABLE_STATS"
	OPPONENTS_FACED_StatType              StatType = "OPPONENTS_FACED"
	GAME_TYPE_STATS_StatType              StatType = "GAME_TYPE_STATS"
	FIRST_YEAR_STATS_StatType             StatType = "FIRST_YEAR_STATS"
	LAST_YEAR_STATS_StatType              StatType = "LAST_YEAR_STATS"
	STAT_SPLITS_StatType                  StatType = "STAT_SPLITS"
	STAT_SPLITS_ADVANCED_StatType         StatType = "STAT_SPLITS_ADVANCED"
	AT_GAME_START_StatType                StatType = "AT_GAME_START"
	VS_OPPONENTS_StatType                 StatType = "VS_OPPONENTS"
	SABERMETRICS_MULTI_TEAM_StatType      StatType = "SABERMETRICS_MULTI_TEAM"
)
